#!/usr/bin/env perl
use Module::Build;

my $home = $ENV{HOME};

my $build = Module::Build->new(
    module_name   => 'GEmeTool',
    license       => 'AGPLv3',
    dist_author   => 'Sergio Iglesias <contact@owlcode.tech>',
    dist_abstract => 'Emerald save editor lib.',
    requires      => {
        'Glib::IO' => 0,
        'Glib::Object::Introspection' => 0,
    },
);
$build->create_build_script;
