package Rsaves::Constants::Emerald::Rematches;

use v5.16.3;

use strict;
use warnings;

our $REMATCH_ROSE          = 1;
our $REMATCH_ANDRES        = 2;
our $REMATCH_DUSTY         = 3;
our $REMATCH_LOLA          = 4;
our $REMATCH_RICKY         = 5;
our $REMATCH_LILA_AND_ROY  = 6;
our $REMATCH_CRISTIN       = 7;
our $REMATCH_BROOKE        = 8;
our $REMATCH_WILTON        = 9;
our $REMATCH_VALERIE       = 10;
our $REMATCH_CINDY         = 11;
our $REMATCH_THALIA        = 12;
our $REMATCH_JESSICA       = 13;
our $REMATCH_WINSTON       = 14;
our $REMATCH_STEVE         = 15;
our $REMATCH_TONY          = 16;
our $REMATCH_NOB           = 17;
our $REMATCH_KOJI          = 18;
our $REMATCH_FERNANDO      = 19;
our $REMATCH_DALTON        = 20;
our $REMATCH_BERNIE        = 21;
our $REMATCH_ETHAN         = 22;
our $REMATCH_JOHN_AND_JAY  = 23;
our $REMATCH_JEFFREY       = 24;
our $REMATCH_CAMERON       = 25;
our $REMATCH_JACKI         = 26;
our $REMATCH_WALTER        = 27;
our $REMATCH_KAREN         = 28;
our $REMATCH_JERRY         = 29;
our $REMATCH_ANNA_AND_MEG  = 30;
our $REMATCH_ISABEL        = 31;
our $REMATCH_MIGUEL        = 32;
our $REMATCH_TIMOTHY       = 33;
our $REMATCH_SHELBY        = 34;
our $REMATCH_CALVIN        = 35;
our $REMATCH_ELLIOT        = 36;
our $REMATCH_ISAIAH        = 37;
our $REMATCH_MARIA         = 38;
our $REMATCH_ABIGAIL       = 39;
our $REMATCH_DYLAN         = 40;
our $REMATCH_KATELYN       = 41;
our $REMATCH_BENJAMIN      = 42;
our $REMATCH_PABLO         = 43;
our $REMATCH_NICOLAS       = 44;
our $REMATCH_ROBERT        = 45;
our $REMATCH_LAO           = 46;
our $REMATCH_CYNDY         = 47;
our $REMATCH_MADELINE      = 48;
our $REMATCH_JENNY         = 49;
our $REMATCH_DIANA         = 50;
our $REMATCH_AMY_AND_LIV   = 51;
our $REMATCH_ERNEST        = 52;
our $REMATCH_CORY          = 53;
our $REMATCH_EDWIN         = 54;
our $REMATCH_LYDIA         = 55;
our $REMATCH_ISAAC         = 56;
our $REMATCH_GABRIELLE     = 57;
our $REMATCH_CATHERINE     = 58;
our $REMATCH_JACKSON       = 59;
our $REMATCH_HALEY         = 60;
our $REMATCH_JAMES         = 61;
our $REMATCH_TRENT         = 62;
our $REMATCH_SAWYER        = 63;
our $REMATCH_KIRA_AND_DAN  = 64;
our $REMATCH_WALLY_VR      = 65;
our $REMATCH_ROXANNE       = 66;
our $REMATCH_BRAWLY        = 67;
our $REMATCH_WATTSON       = 68;
our $REMATCH_FLANNERY      = 69;
our $REMATCH_NORMAN        = 70;
our $REMATCH_WINONA        = 71;
our $REMATCH_TATE_AND_LIZA = 72;
our $REMATCH_JUAN          = 73;
our $REMATCH_SIDNEY        = 74;
our $REMATCH_PHOEBE        = 75;
our $REMATCH_GLACIA        = 76;
our $REMATCH_DRAKE         = 77;
our $REMATCH_WALLACE       = 78;

our @REMATCHES = (
    ROSE          => $REMATCH_ROSE,
    ANDRES        => $REMATCH_ANDRES,
    DUSTY         => $REMATCH_DUSTY,
    LOLA          => $REMATCH_LOLA,
    RICKY         => $REMATCH_RICKY,
    LILA_AND_ROY  => $REMATCH_LILA_AND_ROY,
    CRISTIN       => $REMATCH_CRISTIN,
    BROOKE        => $REMATCH_BROOKE,
    WILTON        => $REMATCH_WILTON,
    VALERIE       => $REMATCH_VALERIE,
    CINDY         => $REMATCH_CINDY,
    THALIA        => $REMATCH_THALIA,
    JESSICA       => $REMATCH_JESSICA,
    WINSTON       => $REMATCH_WINSTON,
    STEVE         => $REMATCH_STEVE,
    TONY          => $REMATCH_TONY,
    NOB           => $REMATCH_NOB,
    KOJI          => $REMATCH_KOJI,
    FERNANDO      => $REMATCH_FERNANDO,
    DALTON        => $REMATCH_DALTON,
    BERNIE        => $REMATCH_BERNIE,
    ETHAN         => $REMATCH_ETHAN,
    JOHN_AND_JAY  => $REMATCH_JOHN_AND_JAY,
    JEFFREY       => $REMATCH_JEFFREY,
    CAMERON       => $REMATCH_CAMERON,
    JACKI         => $REMATCH_JACKI,
    WALTER        => $REMATCH_WALTER,
    KAREN         => $REMATCH_KAREN,
    JERRY         => $REMATCH_JERRY,
    ANNA_AND_MEG  => $REMATCH_ANNA_AND_MEG,
    ISABEL        => $REMATCH_ISABEL,
    MIGUEL        => $REMATCH_MIGUEL,
    TIMOTHY       => $REMATCH_TIMOTHY,
    SHELBY        => $REMATCH_SHELBY,
    CALVIN        => $REMATCH_CALVIN,
    ELLIOT        => $REMATCH_ELLIOT,
    ISAIAH        => $REMATCH_ISAIAH,
    MARIA         => $REMATCH_MARIA,
    ABIGAIL       => $REMATCH_ABIGAIL,
    DYLAN         => $REMATCH_DYLAN,
    KATELYN       => $REMATCH_KATELYN,
    BENJAMIN      => $REMATCH_BENJAMIN,
    PABLO         => $REMATCH_PABLO,
    NICOLAS       => $REMATCH_NICOLAS,
    ROBERT        => $REMATCH_ROBERT,
    LAO           => $REMATCH_LAO,
    CYNDY         => $REMATCH_CYNDY,
    MADELINE      => $REMATCH_MADELINE,
    JENNY         => $REMATCH_JENNY,
    DIANA         => $REMATCH_DIANA,
    AMY_AND_LIV   => $REMATCH_AMY_AND_LIV,
    ERNEST        => $REMATCH_ERNEST,
    CORY          => $REMATCH_CORY,
    EDWIN         => $REMATCH_EDWIN,
    LYDIA         => $REMATCH_LYDIA,
    ISAAC         => $REMATCH_ISAAC,
    GABRIELLE     => $REMATCH_GABRIELLE,
    CATHERINE     => $REMATCH_CATHERINE,
    JACKSON       => $REMATCH_JACKSON,
    HALEY         => $REMATCH_HALEY,
    JAMES         => $REMATCH_JAMES,
    TRENT         => $REMATCH_TRENT,
    SAWYER        => $REMATCH_SAWYER,
    KIRA_AND_DAN  => $REMATCH_KIRA_AND_DAN,
    WALLY_VR      => $REMATCH_WALLY_VR,
    ROXANNE       => $REMATCH_ROXANNE,
    BRAWLY        => $REMATCH_BRAWLY,
    WATTSON       => $REMATCH_WATTSON,
    FLANNERY      => $REMATCH_FLANNERY,
    NORMAN        => $REMATCH_NORMAN,
    WINONA        => $REMATCH_WINONA,
    TATE_AND_LIZA => $REMATCH_TATE_AND_LIZA,
    JUAN          => $REMATCH_JUAN,
    SIDNEY        => $REMATCH_SIDNEY,
    PHOEBE        => $REMATCH_PHOEBE,
    GLACIA        => $REMATCH_GLACIA,
    DRAKE         => $REMATCH_DRAKE,
    WALLACE       => $REMATCH_WALLACE,
);

@REMATCHES = (@REMATCHES, reverse %{{@REMATCHES}});
1;
