package Rsaves::Constants::Firered::Flags;

use v5.34.1;

use strict;
use warnings;

use Exporter;

use parent 'Exporter';

our $TEMP_FLAGS_START                          = 0x0;
our $FLAG_TEMP_1                               = ( $TEMP_FLAGS_START + 0x01 );
our $FLAG_TEMP_2                               = ( $TEMP_FLAGS_START + 0x02 );
our $FLAG_TEMP_3                               = ( $TEMP_FLAGS_START + 0x03 );
our $FLAG_TEMP_4                               = ( $TEMP_FLAGS_START + 0x04 );
our $FLAG_TEMP_5                               = ( $TEMP_FLAGS_START + 0x05 );
our $FLAG_TEMP_6                               = ( $TEMP_FLAGS_START + 0x06 );
our $FLAG_TEMP_7                               = ( $TEMP_FLAGS_START + 0x07 );
our $FLAG_TEMP_8                               = ( $TEMP_FLAGS_START + 0x08 );
our $FLAG_TEMP_9                               = ( $TEMP_FLAGS_START + 0x09 );
our $FLAG_TEMP_A                               = ( $TEMP_FLAGS_START + 0x0A );
our $FLAG_TEMP_B                               = ( $TEMP_FLAGS_START + 0x0B );
our $FLAG_TEMP_C                               = ( $TEMP_FLAGS_START + 0x0C );
our $FLAG_TEMP_D                               = ( $TEMP_FLAGS_START + 0x0D );
our $FLAG_TEMP_E                               = ( $TEMP_FLAGS_START + 0x0E );
our $FLAG_TEMP_F                               = ( $TEMP_FLAGS_START + 0x0F );
our $FLAG_TEMP_10                              = ( $TEMP_FLAGS_START + 0x10 );
our $FLAG_TEMP_11                              = ( $TEMP_FLAGS_START + 0x11 );
our $FLAG_TEMP_12                              = ( $TEMP_FLAGS_START + 0x12 );
our $FLAG_TEMP_13                              = ( $TEMP_FLAGS_START + 0x13 );
our $FLAG_TEMP_14                              = ( $TEMP_FLAGS_START + 0x14 );
our $FLAG_TEMP_15                              = ( $TEMP_FLAGS_START + 0x15 );
our $FLAG_TEMP_16                              = ( $TEMP_FLAGS_START + 0x16 );
our $FLAG_TEMP_17                              = ( $TEMP_FLAGS_START + 0x17 );
our $FLAG_TEMP_18                              = ( $TEMP_FLAGS_START + 0x18 );
our $FLAG_TEMP_19                              = ( $TEMP_FLAGS_START + 0x19 );
our $FLAG_TEMP_1A                              = ( $TEMP_FLAGS_START + 0x1A );
our $FLAG_TEMP_1B                              = ( $TEMP_FLAGS_START + 0x1B );
our $FLAG_TEMP_1C                              = ( $TEMP_FLAGS_START + 0x1C );
our $FLAG_TEMP_1D                              = ( $TEMP_FLAGS_START + 0x1D );
our $FLAG_TEMP_1E                              = ( $TEMP_FLAGS_START + 0x1E );
our $FLAG_TEMP_1F                              = ( $TEMP_FLAGS_START + 0x1F );
our $TEMP_FLAGS_END                            = $FLAG_TEMP_1F;
our $FLAG_0x020                                = 0x020;
our $FLAG_0x021                                = 0x021;
our $FLAG_0x022                                = 0x022;
our $FLAG_0x023                                = 0x023;
our $FLAG_0x024                                = 0x024;
our $FLAG_0x025                                = 0x025;
our $FLAG_0x026                                = 0x026;
our $FLAG_0x027                                = 0x027;
our $FLAG_HIDE_BULBASAUR_BALL                  = 0x028;
our $FLAG_HIDE_SQUIRTLE_BALL                   = 0x029;
our $FLAG_HIDE_CHARMANDER_BALL                 = 0x02A;
our $FLAG_HIDE_OAK_IN_HIS_LAB                  = 0x02B;
our $FLAG_HIDE_OAK_IN_PALLET_TOWN              = 0x02C;
our $FLAG_HIDE_RIVAL_IN_LAB                    = 0x02D;
our $FLAG_HIDE_PEWTER_CITY_GYM_GUIDE           = 0x02E;
our $FLAG_HIDE_DOME_FOSSIL                     = 0x02F;
our $FLAG_HIDE_HELIX_FOSSIL                    = 0x030;
our $FLAG_HIDE_NUGGET_BRIDGE_ROCKET            = 0x031;
our $FLAG_HIDE_BILL_CLEFAIRY                   = 0x032;
our $FLAG_HIDE_BILL_HUMAN_SEA_COTTAGE          = 0x033;
our $FLAG_HIDE_TOWER_FUJI                      = 0x034;
our $FLAG_HIDE_POKEHOUSE_FUJI                  = 0x035;
our $FLAG_HIDE_LIFT_KEY                        = 0x036;
our $FLAG_HIDE_SILPH_SCOPE                     = 0x037;
our $FLAG_HIDE_HIDEOUT_GIOVANNI                = 0x038;
our $FLAG_HIDE_TOWN_MAP                        = 0x039;
our $FLAG_HIDE_POKEDEX                         = 0x03A;
our $FLAG_HIDE_CERULEAN_ROCKET                 = 0x03B;
our $FLAG_HIDE_CERULEAN_RIVAL                  = 0x03C;
our $FLAG_HIDE_SS_ANNE_RIVAL                   = 0x03D;
our $FLAG_HIDE_SAFFRON_ROCKETS                 = 0x03E;
our $FLAG_HIDE_SAFFRON_CIVILIANS               = 0x03F;
our $FLAG_HIDE_SEAFOAM_1F_BOULDER_1            = 0x040;
our $FLAG_HIDE_SEAFOAM_1F_BOULDER_2            = 0x041;
our $FLAG_HIDE_SEAFOAM_B1F_BOULDER_1           = 0x042;
our $FLAG_HIDE_SEAFOAM_B1F_BOULDER_2           = 0x043;
our $FLAG_HIDE_SEAFOAM_B2F_BOULDER_1           = 0x044;
our $FLAG_HIDE_SEAFOAM_B2F_BOULDER_2           = 0x045;
our $FLAG_HIDE_SEAFOAM_B3F_BOULDER_1           = 0x046;
our $FLAG_HIDE_SEAFOAM_B3F_BOULDER_2           = 0x047;
our $FLAG_HIDE_SEAFOAM_B3F_BOULDER_3           = 0x048;
our $FLAG_HIDE_SEAFOAM_B3F_BOULDER_4           = 0x049;
our $FLAG_HIDE_SEAFOAM_B3F_BOULDER_5           = 0x04A;
our $FLAG_HIDE_SEAFOAM_B3F_BOULDER_6           = 0x04B;
our $FLAG_HIDE_SEAFOAM_B4F_BOULDER_1           = 0x04C;
our $FLAG_HIDE_SEAFOAM_B4F_BOULDER_2           = 0x04D;
our $FLAG_HIDE_SILPH_RIVAL                     = 0x04E;
our $FLAG_HIDE_ROUTE_22_RIVAL                  = 0x04F;
our $FLAG_HIDE_PEWTER_MUSEUM_GUIDE             = 0x050;
our $FLAG_HIDE_TOWER_RIVAL                     = 0x051;
our $FLAG_HIDE_MOLTRES                         = 0x052;
our $FLAG_HIDE_SILPH_ROCKETS                   = 0x053;
our $FLAG_HIDE_ROUTE_12_SNORLAX                = 0x054;
our $FLAG_HIDE_VIRIDIAN_GIOVANNI               = 0x055;
our $FLAG_HIDE_OLD_AMBER                       = 0x056;
our $FLAG_HIDE_EEVEE_BALL                      = 0x057;
our $FLAG_HIDE_VICTORY_ROAD_2F_BOULDER         = 0x058;
our $FLAG_HIDE_VICTORY_ROAD_3F_BOULDER         = 0x059;
our $FLAG_HIDE_OAK_IN_CHAMP_ROOM               = 0x05A;
our $FLAG_HIDE_GAME_CORNER_ROCKET              = 0x05B;
our $FLAG_HIDE_CERULEAN_CAVE_GUARD             = 0x05C;
our $FLAG_HIDE_ZAPDOS                          = 0x05D;
our $FLAG_HIDE_TOWER_ROCKET_1                  = 0x05E;
our $FLAG_HIDE_CELADON_ROCKETS                 = 0x05F;
our $FLAG_HIDE_DOJO_HITMONLEE_BALL             = 0x060;
our $FLAG_HIDE_DOJO_HITMONCHAN_BALL            = 0x061;
our $FLAG_HIDE_CINNABAR_BILL                   = 0x062;
our $FLAG_HIDE_UNION_ROOM_PLAYER_1             = 0x063;
our $FLAG_HIDE_UNION_ROOM_PLAYER_2             = 0x064;
our $FLAG_HIDE_UNION_ROOM_PLAYER_3             = 0x065;
our $FLAG_HIDE_UNION_ROOM_PLAYER_4             = 0x066;
our $FLAG_HIDE_UNION_ROOM_PLAYER_5             = 0x067;
our $FLAG_HIDE_UNION_ROOM_PLAYER_6             = 0x068;
our $FLAG_HIDE_UNION_ROOM_PLAYER_7             = 0x069;
our $FLAG_HIDE_UNION_ROOM_PLAYER_8             = 0x06A;
our $FLAG_HIDE_CINNABAR_SEAGALLOP              = 0x06B;
our $FLAG_HIDE_SAFFRON_FAN_CLUB_BLACKBELT      = 0x06C;
our $FLAG_HIDE_SAFFRON_FAN_CLUB_ROCKER         = 0x06D;
our $FLAG_HIDE_SAFFRON_FAN_CLUB_WOMAN          = 0x06E;
our $FLAG_HIDE_SAFFRON_FAN_CLUB_BEAUTY         = 0x06F;
our $FLAG_HIDE_MG_DELIVERYMEN                  = 0x070;
our $FLAG_HIDE_ONE_ISLAND_BILL                 = 0x071;
our $FLAG_HIDE_ONE_ISLAND_POKECENTER_BILL      = 0x072;
our $FLAG_HIDE_ONE_ISLAND_POKECENTER_CELIO     = 0x073;
our $FLAG_HIDE_TWO_ISLAND_GAME_CORNER_BIKER    = 0x074;
our $FLAG_HIDE_TWO_ISLAND_GAME_CORNER_LOSTELLE = 0x075;
our $FLAG_HIDE_LOSTELLE_IN_HER_HOME            = 0x076;
our $FLAG_0x077                                = 0x077;
our $FLAG_0x078                                = 0x078;
our $FLAG_HIDE_THREE_ISLAND_BIKERS             = 0x079;
our $FLAG_HIDE_LOSTELLE_IN_BERRY_FOREST        = 0x07A;
our $FLAG_HIDE_TWO_ISLAND_WOMAN                = 0x07B;
our $FLAG_HIDE_TWO_ISLAND_BEAUTY               = 0x07C;
our $FLAG_HIDE_TWO_ISLAND_SUPER_NERD           = 0x07D;
our $FLAG_HIDE_THREE_ISLAND_ANTIBIKERS         = 0x07E;
our $FLAG_0x07F                                = 0x07F;
our $FLAG_HIDE_ROUTE_16_SNORLAX                = 0x080;
our $FLAG_HIDE_MEWTWO                          = 0x081;
our $FLAG_HIDE_ARTICUNO                        = 0x082;
our $FLAG_HIDE_TOWER_ROCKET_2                  = 0x083;
our $FLAG_HIDE_TOWER_ROCKET_3                  = 0x084;
our $FLAG_HIDE_POWER_PLANT_ELECTRODE_1         = 0x085;
our $FLAG_HIDE_POWER_PLANT_ELECTRODE_2         = 0x086;
our $FLAG_HIDE_SS_ANNE                         = 0x087;
our $FLAG_HIDE_FIVE_ISLAND_ROCKETS             = 0x088;
our $FLAG_HIDE_MT_EMBER_EXTERIOR_ROCKETS       = 0x089;
our $FLAG_HIDE_RUBY                            = 0x08A;
our $FLAG_HIDE_ICEFALL_CAVE_LORELEI            = 0x08B;
our $FLAG_HIDE_LORELEI_IN_HER_HOUSE            = 0x08C;
our $FLAG_HIDE_ICEFALL_CAVE_ROCKETS            = 0x08D;
our $FLAG_HIDE_RUIN_VALLEY_SCIENTIST           = 0x08E;
our $FLAG_HIDE_SAPPHIRE                        = 0x08F;
our $FLAG_HIDE_DOTTED_HOLE_SCIENTIST           = 0x090;
our $FLAG_HIDE_THREE_ISLAND_LONE_BIKER         = 0x091;
our $FLAG_HIDE_PEWTER_CITY_RUNNING_SHOES_GUY   = 0x092;
our $FLAG_HIDE_LOST_CAVE_SELPHY                = 0x093;
our $FLAG_HIDE_RESORT_GORGEOUS_SELPHY          = 0x094;
our $FLAG_HIDE_RESORT_GORGEOUS_INSIDE_SELPHY   = 0x095;
our $FLAG_HIDE_SELPHYS_BUTLER                  = 0x096;
our $FLAG_HIDE_FOUR_ISLAND_RIVAL               = 0x097;
our $FLAG_HIDE_SIX_ISLAND_POKECENTER_RIVAL     = 0x098;
our $FLAG_HIDE_DEOXYS                          = 0x099;
our $FLAG_HIDE_BIRTH_ISLAND_METEORITE          = 0x09A;
our $FLAG_HIDE_LUGIA                           = 0x09B;
our $FLAG_HIDE_HO_OH                           = 0x09C;
our $FLAG_HIDE_POSTGAME_GOSSIPERS              = 0x09D;
our $FLAG_HIDE_FAME_CHECKER_ERIKA_JOURNALS     = 0x09E;
our $FLAG_HIDE_FAME_CHECKER_KOGA_JOURNAL       = 0x09F;
our $FLAG_HIDE_FAME_CHECKER_LT_SURGE_JOURNAL   = 0x0A0;
our $FLAG_HIDE_VERMILION_CITY_OAKS_AIDE        = 0x0A1;
our $FLAG_HIDE_CINNABAR_POKECENTER_BILL        = 0x0A2;
our $FLAG_HIDE_CREDITS_RIVAL                   = 0x0A3;
our $FLAG_HIDE_CREDITS_OAK                     = 0x0A4;
our $FLAG_HIDE_LORELEI_HOUSE_MEOWTH_DOLL       = 0x0A5;
our $FLAG_HIDE_LORELEI_HOUSE_CHANSEY_DOLL      = 0x0A6;
our $FLAG_HIDE_LORELEIS_HOUSE_NIDORAN_F_DOLL   = 0x0A7;
our $FLAG_HIDE_LORELEI_HOUSE_JIGGLYPUFF_DOLL   = 0x0A8;
our $FLAG_HIDE_LORELEIS_HOUSE_NIDORAN_M_DOLL   = 0x0A9;
our $FLAG_HIDE_LORELEIS_HOUSE_FEAROW_DOLL      = 0x0AA;
our $FLAG_HIDE_LORELEIS_HOUSE_PIDGEOT_DOLL     = 0x0AB;
our $FLAG_HIDE_LORELEIS_HOUSE_LAPRAS_DOLL      = 0x0AC;
our $FLAG_HIDE_MISC_KANTO_ROCKETS              = 0x0AD;
our $FLAG_HIDE_SAFFRON_CITY_POKECENTER_SABRINA_JOURNALS      = 0x0AE;
our $FLAG_0x0AF                                              = 0x0AF;
our $FLAG_0x0B0                                              = 0x0B0;
our $FLAG_0x0B1                                              = 0x0B1;
our $FLAG_0x0B2                                              = 0x0B2;
our $FLAG_0x0B3                                              = 0x0B3;
our $FLAG_0x0B4                                              = 0x0B4;
our $FLAG_0x0B5                                              = 0x0B5;
our $FLAG_0x0B6                                              = 0x0B6;
our $FLAG_0x0B7                                              = 0x0B7;
our $FLAG_0x0B8                                              = 0x0B8;
our $FLAG_0x0B9                                              = 0x0B9;
our $FLAG_0x0BA                                              = 0x0BA;
our $FLAG_0x0BB                                              = 0x0BB;
our $FLAG_0x0BC                                              = 0x0BC;
our $FLAG_0x0BD                                              = 0x0BD;
our $FLAG_0x0BE                                              = 0x0BE;
our $FLAG_0x0BF                                              = 0x0BF;
our $FLAG_0x0C0                                              = 0x0C0;
our $FLAG_0x0C1                                              = 0x0C1;
our $FLAG_0x0C2                                              = 0x0C2;
our $FLAG_0x0C3                                              = 0x0C3;
our $FLAG_0x0C4                                              = 0x0C4;
our $FLAG_0x0C5                                              = 0x0C5;
our $FLAG_0x0C6                                              = 0x0C6;
our $FLAG_0x0C7                                              = 0x0C7;
our $FLAG_0x0C8                                              = 0x0C8;
our $FLAG_0x0C9                                              = 0x0C9;
our $FLAG_0x0CA                                              = 0x0CA;
our $FLAG_0x0CB                                              = 0x0CB;
our $FLAG_0x0CC                                              = 0x0CC;
our $FLAG_0x0CD                                              = 0x0CD;
our $FLAG_0x0CE                                              = 0x0CE;
our $FLAG_0x0CF                                              = 0x0CF;
our $FLAG_0x0D0                                              = 0x0D0;
our $FLAG_0x0D1                                              = 0x0D1;
our $FLAG_0x0D2                                              = 0x0D2;
our $FLAG_0x0D3                                              = 0x0D3;
our $FLAG_0x0D4                                              = 0x0D4;
our $FLAG_0x0D5                                              = 0x0D5;
our $FLAG_0x0D6                                              = 0x0D6;
our $FLAG_0x0D7                                              = 0x0D7;
our $FLAG_0x0D8                                              = 0x0D8;
our $FLAG_0x0D9                                              = 0x0D9;
our $FLAG_0x0DA                                              = 0x0DA;
our $FLAG_0x0DB                                              = 0x0DB;
our $FLAG_0x0DC                                              = 0x0DC;
our $FLAG_0x0DD                                              = 0x0DD;
our $FLAG_0x0DE                                              = 0x0DE;
our $FLAG_0x0DF                                              = 0x0DF;
our $FLAG_0x0E0                                              = 0x0E0;
our $FLAG_0x0E1                                              = 0x0E1;
our $FLAG_0x0E2                                              = 0x0E2;
our $FLAG_0x0E3                                              = 0x0E3;
our $FLAG_0x0E4                                              = 0x0E4;
our $FLAG_0x0E5                                              = 0x0E5;
our $FLAG_0x0E6                                              = 0x0E6;
our $FLAG_0x0E7                                              = 0x0E7;
our $FLAG_0x0E8                                              = 0x0E8;
our $FLAG_0x0E9                                              = 0x0E9;
our $FLAG_0x0EA                                              = 0x0EA;
our $FLAG_0x0EB                                              = 0x0EB;
our $FLAG_0x0EC                                              = 0x0EC;
our $FLAG_0x0ED                                              = 0x0ED;
our $FLAG_0x0EE                                              = 0x0EE;
our $FLAG_0x0EF                                              = 0x0EF;
our $FLAG_0x0F0                                              = 0x0F0;
our $FLAG_0x0F1                                              = 0x0F1;
our $FLAG_0x0F2                                              = 0x0F2;
our $FLAG_0x0F3                                              = 0x0F3;
our $FLAG_0x0F4                                              = 0x0F4;
our $FLAG_0x0F5                                              = 0x0F5;
our $FLAG_0x0F6                                              = 0x0F6;
our $FLAG_0x0F7                                              = 0x0F7;
our $FLAG_0x0F8                                              = 0x0F8;
our $FLAG_0x0F9                                              = 0x0F9;
our $FLAG_0x0FA                                              = 0x0FA;
our $FLAG_0x0FB                                              = 0x0FB;
our $FLAG_0x0FC                                              = 0x0FC;
our $FLAG_0x0FD                                              = 0x0FD;
our $FLAG_0x0FE                                              = 0x0FE;
our $FLAG_0x0FF                                              = 0x0FF;
our $FLAG_0x100                                              = 0x100;
our $FLAG_0x101                                              = 0x101;
our $FLAG_0x102                                              = 0x102;
our $FLAG_0x103                                              = 0x103;
our $FLAG_0x104                                              = 0x104;
our $FLAG_0x105                                              = 0x105;
our $FLAG_0x106                                              = 0x106;
our $FLAG_0x107                                              = 0x107;
our $FLAG_0x108                                              = 0x108;
our $FLAG_0x109                                              = 0x109;
our $FLAG_0x10A                                              = 0x10A;
our $FLAG_0x10B                                              = 0x10B;
our $FLAG_0x10C                                              = 0x10C;
our $FLAG_0x10D                                              = 0x10D;
our $FLAG_0x10E                                              = 0x10E;
our $FLAG_0x10F                                              = 0x10F;
our $FLAG_0x110                                              = 0x110;
our $FLAG_0x111                                              = 0x111;
our $FLAG_0x112                                              = 0x112;
our $FLAG_0x113                                              = 0x113;
our $FLAG_0x114                                              = 0x114;
our $FLAG_0x115                                              = 0x115;
our $FLAG_0x116                                              = 0x116;
our $FLAG_0x117                                              = 0x117;
our $FLAG_0x118                                              = 0x118;
our $FLAG_0x119                                              = 0x119;
our $FLAG_0x11A                                              = 0x11A;
our $FLAG_0x11B                                              = 0x11B;
our $FLAG_0x11C                                              = 0x11C;
our $FLAG_0x11D                                              = 0x11D;
our $FLAG_0x11E                                              = 0x11E;
our $FLAG_0x11F                                              = 0x11F;
our $FLAG_0x120                                              = 0x120;
our $FLAG_0x121                                              = 0x121;
our $FLAG_0x122                                              = 0x122;
our $FLAG_0x123                                              = 0x123;
our $FLAG_0x124                                              = 0x124;
our $FLAG_0x125                                              = 0x125;
our $FLAG_0x126                                              = 0x126;
our $FLAG_0x127                                              = 0x127;
our $FLAG_0x128                                              = 0x128;
our $FLAG_0x129                                              = 0x129;
our $FLAG_0x12A                                              = 0x12A;
our $FLAG_0x12B                                              = 0x12B;
our $FLAG_0x12C                                              = 0x12C;
our $FLAG_0x12D                                              = 0x12D;
our $FLAG_0x12E                                              = 0x12E;
our $FLAG_0x12F                                              = 0x12F;
our $FLAG_0x130                                              = 0x130;
our $FLAG_0x131                                              = 0x131;
our $FLAG_0x132                                              = 0x132;
our $FLAG_0x133                                              = 0x133;
our $FLAG_0x134                                              = 0x134;
our $FLAG_0x135                                              = 0x135;
our $FLAG_0x136                                              = 0x136;
our $FLAG_0x137                                              = 0x137;
our $FLAG_0x138                                              = 0x138;
our $FLAG_0x139                                              = 0x139;
our $FLAG_0x13A                                              = 0x13A;
our $FLAG_0x13B                                              = 0x13B;
our $FLAG_0x13C                                              = 0x13C;
our $FLAG_0x13D                                              = 0x13D;
our $FLAG_0x13E                                              = 0x13E;
our $FLAG_0x13F                                              = 0x13F;
our $FLAG_0x140                                              = 0x140;
our $FLAG_0x141                                              = 0x141;
our $FLAG_0x142                                              = 0x142;
our $FLAG_0x143                                              = 0x143;
our $FLAG_0x144                                              = 0x144;
our $FLAG_0x145                                              = 0x145;
our $FLAG_0x146                                              = 0x146;
our $FLAG_0x147                                              = 0x147;
our $FLAG_0x148                                              = 0x148;
our $FLAG_0x149                                              = 0x149;
our $FLAG_0x14A                                              = 0x14A;
our $FLAG_0x14B                                              = 0x14B;
our $FLAG_0x14C                                              = 0x14C;
our $FLAG_0x14D                                              = 0x14D;
our $FLAG_0x14E                                              = 0x14E;
our $FLAG_0x14F                                              = 0x14F;
our $FLAG_0x150                                              = 0x150;
our $FLAG_0x151                                              = 0x151;
our $FLAG_0x152                                              = 0x152;
our $FLAG_0x153                                              = 0x153;
our $FLAG_HIDE_ROUTE2_ETHER                                  = 0x154;
our $FLAG_HIDE_ROUTE2_PARALYZE_HEAL                          = 0x155;
our $FLAG_HIDE_VIRIDIAN_FOREST_POKE_BALL                     = 0x156;
our $FLAG_HIDE_VIRIDIAN_FOREST_ANTIDOTE                      = 0x157;
our $FLAG_HIDE_VIRIDIAN_FOREST_POTION                        = 0x158;
our $FLAG_HIDE_MT_MOON_1F_PARALYZE_HEAL                      = 0x159;
our $FLAG_HIDE_MT_MOON_1F_TM09                               = 0x15A;
our $FLAG_HIDE_MT_MOON_1F_POTION                             = 0x15B;
our $FLAG_HIDE_MT_MOON_1F_RARE_CANDY                         = 0x15C;
our $FLAG_HIDE_MT_MOON_1F_ESCAPE_ROPE                        = 0x15D;
our $FLAG_HIDE_MT_MOON_1F_MOON_STONE                         = 0x15E;
our $FLAG_HIDE_MT_MOON_B2F_STAR_PIECE                        = 0x15F;
our $FLAG_HIDE_MT_MOON_B2F_TM46                              = 0x160;
our $FLAG_HIDE_ROUTE4_TM05                                   = 0x161;
our $FLAG_HIDE_ROUTE24_TM45                                  = 0x162;
our $FLAG_HIDE_ROUTE25_TM43                                  = 0x163;
our $FLAG_HIDE_SSANNE_1F_ROOM2_TM31                          = 0x164;
our $FLAG_HIDE_SSANNE_2F_ROOM2_STARDUST                      = 0x165;
our $FLAG_HIDE_SSANNE_2F_ROOM4_X_ATTACK                      = 0x166;
our $FLAG_HIDE_SSANNE_B1F_ROOM2_TM44                         = 0x167;
our $FLAG_HIDE_SSANNE_B1F_ROOM3_ETHER                        = 0x168;
our $FLAG_HIDE_SSANNE_B1F_ROOM5_SUPER_POTION                 = 0x169;
our $FLAG_HIDE_SSANNE_KITCHEN_GREAT_BALL                     = 0x16A;
our $FLAG_HIDE_ROUTE9_TM40                                   = 0x16B;
our $FLAG_HIDE_ROCKET_HIDEOUT_B1F_ESCAPE_ROPE                = 0x16C;
our $FLAG_HIDE_ROCKET_HIDEOUT_B1F_HYPER_POTION               = 0x16D;
our $FLAG_HIDE_ROCKET_HIDEOUT_B2F_X_SPEED                    = 0x16E;
our $FLAG_HIDE_ROCKET_HIDEOUT_B2F_MOON_STONE                 = 0x16F;
our $FLAG_HIDE_ROCKET_HIDEOUT_B2F_TM12                       = 0x170;
our $FLAG_HIDE_ROCKET_HIDEOUT_B2F_SUPER_POTION               = 0x171;
our $FLAG_HIDE_ROCKET_HIDEOUT_B3F_RARE_CANDY                 = 0x172;
our $FLAG_HIDE_ROCKET_HIDEOUT_B3F_TM21                       = 0x173;
our $FLAG_HIDE_ROCKET_HIDEOUT_B4F_TM49                       = 0x174;
our $FLAG_HIDE_ROCKET_HIDEOUT_B4F_MAX_ETHER                  = 0x175;
our $FLAG_HIDE_ROCKET_HIDEOUT_B4F_CALCIUM                    = 0x176;
our $FLAG_HIDE_POKEMON_TOWER_3F_ESCAPE_ROPE                  = 0x177;
our $FLAG_HIDE_POKEMON_TOWER_4F_ELIXIR                       = 0x178;
our $FLAG_HIDE_POKEMON_TOWER_4F_AWAKENING                    = 0x179;
our $FLAG_HIDE_POKEMON_TOWER_4F_GREAT_BALL                   = 0x17A;
our $FLAG_HIDE_POKEMON_TOWER_5F_NUGGET                       = 0x17B;
our $FLAG_HIDE_POKEMON_TOWER_6F_RARE_CANDY                   = 0x17C;
our $FLAG_HIDE_POKEMON_TOWER_6F_X_ACCURACY                   = 0x17D;
our $FLAG_HIDE_ROUTE12_TM48                                  = 0x17E;
our $FLAG_HIDE_ROUTE12_IRON                                  = 0x17F;
our $FLAG_HIDE_ROUTE15_TM18                                  = 0x180;
our $FLAG_HIDE_SAFARI_ZONE_CENTER_NUGGET                     = 0x181;
our $FLAG_HIDE_SAFARI_ZONE_EAST_MAX_POTION                   = 0x182;
our $FLAG_HIDE_SAFARI_ZONE_EAST_FULL_RESTORE                 = 0x183;
our $FLAG_HIDE_SAFARI_ZONE_EAST_TM11                         = 0x184;
our $FLAG_HIDE_SAFARI_ZONE_EAST_LEAF_STONE                   = 0x185;
our $FLAG_HIDE_SAFARI_ZONE_NORTH_PROTEIN                     = 0x186;
our $FLAG_HIDE_SAFARI_ZONE_NORTH_TM47                        = 0x187;
our $FLAG_HIDE_SAFARI_ZONE_WEST_TM32                         = 0x188;
our $FLAG_HIDE_SAFARI_ZONE_WEST_GOLD_TEETH                   = 0x189;
our $FLAG_HIDE_SAFARI_ZONE_WEST_MAX_POTION                   = 0x18A;
our $FLAG_HIDE_SAFARI_ZONE_WEST_MAX_REVIVE                   = 0x18B;
our $FLAG_HIDE_SILPH_CO_3F_HYPER_POTION                      = 0x18C;
our $FLAG_HIDE_SILPH_CO_4F_MAX_REVIVE                        = 0x18D;
our $FLAG_HIDE_SILPH_CO_4F_ESCAPE_ROPE                       = 0x18E;
our $FLAG_HIDE_SILPH_CO_4F_FULL_HEAL                         = 0x18F;
our $FLAG_HIDE_SILPH_CO_5F_PROTEIN                           = 0x190;
our $FLAG_HIDE_SILPH_CO_5F_TM01                              = 0x191;
our $FLAG_HIDE_SILPH_CO_5F_CARD_KEY                          = 0x192;
our $FLAG_HIDE_SILPH_CO_6F_HP_UP                             = 0x193;
our $FLAG_HIDE_SILPH_CO_6F_X_SPECIAL                         = 0x194;
our $FLAG_HIDE_SILPH_CO_7F_CALCIUM                           = 0x195;
our $FLAG_HIDE_SILPH_CO_7F_TM08                              = 0x196;
our $FLAG_HIDE_SILPH_CO_10F_CARBOS                           = 0x197;
our $FLAG_HIDE_SILPH_CO_10F_ULTRA_BALL                       = 0x198;
our $FLAG_HIDE_SILPH_CO_10F_RARE_CANDY                       = 0x199;
our $FLAG_HIDE_POWER_PLANT_MAX_POTION                        = 0x19A;
our $FLAG_HIDE_POWER_PLANT_TM17                              = 0x19B;
our $FLAG_HIDE_POWER_PLANT_TM25                              = 0x19C;
our $FLAG_HIDE_POWER_PLANT_THUNDER_STONE                     = 0x19D;
our $FLAG_HIDE_POWER_PLANT_ELIXIR                            = 0x19E;
our $FLAG_HIDE_POKEMON_MANSION_1F_CARBOS                     = 0x19F;
our $FLAG_HIDE_POKEMON_MANSION_1F_ESCAPE_ROPE                = 0x1A0;
our $FLAG_HIDE_POKEMON_MANSION_2F_CALCIUM                    = 0x1A1;
our $FLAG_HIDE_POKEMON_MANSION_3F_MAX_POTION                 = 0x1A2;
our $FLAG_HIDE_POKEMON_MANSION_3F_IRON                       = 0x1A3;
our $FLAG_HIDE_POKEMON_MANSION_B1F_TM14                      = 0x1A4;
our $FLAG_HIDE_POKEMON_MANSION_B1F_FULL_RESTORE              = 0x1A5;
our $FLAG_0x1A6                                              = 0x1A6;
our $FLAG_HIDE_POKEMON_MANSION_B1F_TM22                      = 0x1A7;
our $FLAG_HIDE_POKEMON_MANSION_B1F_SECRET_KEY                = 0x1A8;
our $FLAG_HIDE_VICTORY_ROAD_1F_RARE_CANDY                    = 0x1A9;
our $FLAG_HIDE_VICTORY_ROAD_1F_TM02                          = 0x1AA;
our $FLAG_HIDE_VICTORY_ROAD_2F_GUARD_SPEC                    = 0x1AB;
our $FLAG_HIDE_VICTORY_ROAD_2F_TM07                          = 0x1AC;
our $FLAG_HIDE_VICTORY_ROAD_2F_FULL_HEAL                     = 0x1AD;
our $FLAG_HIDE_VICTORY_ROAD_2F_TM37                          = 0x1AE;
our $FLAG_HIDE_VICTORY_ROAD_3F_MAX_REVIVE                    = 0x1AF;
our $FLAG_HIDE_VICTORY_ROAD_3F_TM50                          = 0x1B0;
our $FLAG_HIDE_CERULEAN_CAVE_1F_MAX_ELIXIR                   = 0x1B1;
our $FLAG_HIDE_CERULEAN_CAVE_1F_NUGGET                       = 0x1B2;
our $FLAG_HIDE_CERULEAN_CAVE_1F_FULL_RESTORE                 = 0x1B3;
our $FLAG_HIDE_CERULEAN_CAVE_2F_FULL_RESTORE                 = 0x1B4;
our $FLAG_HIDE_CERULEAN_CAVE_2F_PP_UP                        = 0x1B5;
our $FLAG_HIDE_CERULEAN_CAVE_2F_ULTRA_BALL                   = 0x1B6;
our $FLAG_HIDE_CERULEAN_CAVE_B1F_MAX_REVIVE                  = 0x1B7;
our $FLAG_HIDE_CERULEAN_CAVE_B1F_ULTRA_BALL                  = 0x1B8;
our $FLAG_HIDE_FUCHSIA_CITY_WARDENS_HOUSE_RARE_CANDY         = 0x1B9;
our $FLAG_HIDE_TWO_ISLAND_REVIVE                             = 0x1BA;
our $FLAG_HIDE_THREE_ISLAND_ZINC                             = 0x1BB;
our $FLAG_0x1BC                                              = 0x1BC;
our $FLAG_0x1BD                                              = 0x1BD;
our $FLAG_HIDE_VIRIDIAN_FOREST_POTION_2                      = 0x1BE;
our $FLAG_HIDE_MT_MOON_B2F_REVIVE                            = 0x1BF;
our $FLAG_HIDE_MT_MOON_B2F_ANTIDOTE                          = 0x1C0;
our $FLAG_HIDE_ROUTE11_X_DEFEND                              = 0x1C1;
our $FLAG_HIDE_ROUTE9_BURN_HEAL                              = 0x1C2;
our $FLAG_HIDE_ROCK_TUNNEL_1F_REPEL                          = 0x1C3;
our $FLAG_HIDE_ROCK_TUNNEL_1F_PEARL                          = 0x1C4;
our $FLAG_HIDE_ROCK_TUNNEL_1F_ESCAPE_ROPE                    = 0x1C5;
our $FLAG_HIDE_ROCK_TUNNEL_B1F_REVIVE                        = 0x1C6;
our $FLAG_HIDE_ROCK_TUNNEL_B1F_MAX_ETHER                     = 0x1C7;
our $FLAG_HIDE_SILPH_CO_8F_IRON                              = 0x1C8;
our $FLAG_HIDE_SILPH_CO_11F_ZINC                             = 0x1C9;
our $FLAG_HIDE_POKEMON_MANSION_1F_PROTEIN                    = 0x1CA;
our $FLAG_HIDE_POKEMON_MANSION_2F_ZINC                       = 0x1CB;
our $FLAG_HIDE_POKEMON_MANSION_2F_HP_UP                      = 0x1CC;
our $FLAG_HIDE_VIRIDIAN_CITY_POTION                          = 0x1CD;
our $FLAG_HIDE_ROUTE11_GREAT_BALL                            = 0x1CE;
our $FLAG_HIDE_ROUTE11_AWAKENING                             = 0x1CF;
our $FLAG_HIDE_POKEMON_TOWER_5F_CLEANSE_TAG                  = 0x1D0;
our $FLAG_HIDE_CELADON_CITY_ETHER                            = 0x1D1;
our $FLAG_HIDE_ROCKET_HIDEOUT_B3F_BLACK_GLASSES              = 0x1D2;
our $FLAG_HIDE_SAFARI_ZONE_NORTH_QUICK_CLAW                  = 0x1D3;
our $FLAG_HIDE_SEAFOAM_ISLANDS_1F_ICE_HEAL                   = 0x1D4;
our $FLAG_HIDE_SEAFOAM_ISLANDS_B1F_WATER_STONE               = 0x1D5;
our $FLAG_HIDE_SEAFOAM_ISLANDS_B1F_REVIVE                    = 0x1D6;
our $FLAG_HIDE_SEAFOAM_ISLANDS_B2F_BIG_PEARL                 = 0x1D7;
our $FLAG_HIDE_SEAFOAM_ISLANDS_B4F_ULTRA_BALL                = 0x1D8;
our $FLAG_HIDE_FOUR_ISLAND_STAR_PIECE                        = 0x1D9;
our $FLAG_HIDE_FOUR_ISLAND_STARDUST                          = 0x1DA;
our $FLAG_HIDE_ONE_ISLAND_KINDLE_ROAD_ETHER                  = 0x1DB;
our $FLAG_HIDE_ONE_ISLAND_KINDLE_ROAD_MAX_REPEL              = 0x1DC;
our $FLAG_HIDE_ONE_ISLAND_KINDLE_ROAD_CARBOS                 = 0x1DD;
our $FLAG_HIDE_FIVE_ISLAND_MEADOW_MAX_POTION                 = 0x1DE;
our $FLAG_HIDE_FIVE_ISLAND_MEADOW_PP_UP                      = 0x1DF;
our $FLAG_HIDE_FIVE_ISLAND_MEMORIAL_PILLAR_METAL_COAT        = 0x1E0;
our $FLAG_HIDE_SIX_ISLAND_OUTCAST_ISLAND_PP_UP               = 0x1E1;
our $FLAG_HIDE_SIX_ISLAND_WATER_PATH_ELIXIR                  = 0x1E2;
our $FLAG_HIDE_SIX_ISLAND_WATER_PATH_DRAGON_SCALE            = 0x1E3;
our $FLAG_HIDE_SIX_ISLAND_RUIN_VALLEY_FULL_RESTORE           = 0x1E4;
our $FLAG_HIDE_SIX_ISLAND_RUIN_VALLEY_HP_UP                  = 0x1E5;
our $FLAG_HIDE_SIX_ISLAND_RUIN_VALLEY_SUN_STONE              = 0x1E6;
our $FLAG_HIDE_SEVEN_ISLAND_SEVAULT_CANYON_KINGS_ROCK        = 0x1E7;
our $FLAG_HIDE_SEVEN_ISLAND_SEVAULT_CANYON_MAX_ELIXIR        = 0x1E8;
our $FLAG_HIDE_SEVEN_ISLAND_SEVAULT_CANYON_NUGGET            = 0x1E9;
our $FLAG_HIDE_THREE_ISLAND_BERRY_FOREST_MAX_ETHER           = 0x1EA;
our $FLAG_HIDE_THREE_ISLAND_BERRY_FOREST_FULL_HEAL           = 0x1EB;
our $FLAG_HIDE_THREE_ISLAND_BERRY_FOREST_MAX_ELIXIR          = 0x1EC;
our $FLAG_HIDE_MT_EMBER_EXTERIOR_ULTRA_BALL                  = 0x1ED;
our $FLAG_HIDE_MT_EMBER_EXTERIOR_FIRE_STONE                  = 0x1EE;
our $FLAG_HIDE_MT_EMBER_EXTERIOR_DIRE_HIT                    = 0x1EF;
our $FLAG_HIDE_FOUR_ISLAND_ICEFALL_CAVE_1F_ULTRA_BALL        = 0x1F0;
our $FLAG_HIDE_FOUR_ISLAND_ICEFALL_CAVE_1F_HM07              = 0x1F1;
our $FLAG_HIDE_FOUR_ISLAND_ICEFALL_CAVE_B1F_FULL_RESTORE     = 0x1F2;
our $FLAG_HIDE_FOUR_ISLAND_ICEFALL_CAVE_B1F_NEVER_MELT_ICE   = 0x1F3;
our $FLAG_HIDE_FIVE_ISLAND_ROCKET_WAREHOUSE_BIG_PEARL        = 0x1F4;
our $FLAG_HIDE_FIVE_ISLAND_ROCKET_WAREHOUSE_TM36             = 0x1F5;
our $FLAG_HIDE_FIVE_ISLAND_ROCKET_WAREHOUSE_PEARL            = 0x1F6;
our $FLAG_HIDE_FIVE_ISLAND_ROCKET_WAREHOUSE_UP_GRADE         = 0x1F7;
our $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM10_SILK_SCARF       = 0x1F8;
our $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM11_LAX_INCENSE      = 0x1F9;
our $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM12_SEA_INCENSE      = 0x1FA;
our $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM13_MAX_REVIVE       = 0x1FB;
our $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM14_RARE_CANDY       = 0x1FC;
our $FLAG_HIDE_SEVEN_ISLAND_SEVAULT_CANYON_HOUSE_LUCKY_PUNCH = 0x1FD;
our $FLAG_HIDE_SILPH_CO_4F_TM41                              = 0x1FE;
our $FLAG_0x1FF                                              = 0x1FF;
our $FLAG_0x200                                              = 0x200;
our $FLAG_0x201                                              = 0x201;
our $FLAG_0x202                                              = 0x202;
our $FLAG_0x203                                              = 0x203;
our $FLAG_0x204                                              = 0x204;
our $FLAG_0x205                                              = 0x205;
our $FLAG_0x206                                              = 0x206;
our $FLAG_0x207                                              = 0x207;
our $FLAG_0x208                                              = 0x208;
our $FLAG_0x209                                              = 0x209;
our $FLAG_0x20A                                              = 0x20A;
our $FLAG_0x20B                                              = 0x20B;
our $FLAG_0x20C                                              = 0x20C;
our $FLAG_0x20D                                              = 0x20D;
our $FLAG_0x20E                                              = 0x20E;
our $FLAG_0x20F                                              = 0x20F;
our $FLAG_0x210                                              = 0x210;
our $FLAG_0x211                                              = 0x211;
our $FLAG_0x212                                              = 0x212;
our $FLAG_0x213                                              = 0x213;
our $FLAG_0x214                                              = 0x214;
our $FLAG_0x215                                              = 0x215;
our $FLAG_0x216                                              = 0x216;
our $FLAG_0x217                                              = 0x217;
our $FLAG_0x218                                              = 0x218;
our $FLAG_0x219                                              = 0x219;
our $FLAG_0x21A                                              = 0x21A;
our $FLAG_0x21B                                              = 0x21B;
our $FLAG_0x21C                                              = 0x21C;
our $FLAG_0x21D                                              = 0x21D;
our $FLAG_0x21E                                              = 0x21E;
our $FLAG_0x21F                                              = 0x21F;
our $FLAG_0x220                                              = 0x220;
our $FLAG_0x221                                              = 0x221;
our $FLAG_0x222                                              = 0x222;
our $FLAG_0x223                                              = 0x223;
our $FLAG_0x224                                              = 0x224;
our $FLAG_0x225                                              = 0x225;
our $FLAG_0x226                                              = 0x226;
our $FLAG_0x227                                              = 0x227;
our $FLAG_0x228                                              = 0x228;
our $FLAG_0x229                                              = 0x229;
our $FLAG_0x22A                                              = 0x22A;
our $FLAG_0x22B                                              = 0x22B;
our $FLAG_0x22C                                              = 0x22C;
our $FLAG_0x22D                                              = 0x22D;
our $FLAG_0x22E                                              = 0x22E;
our $FLAG_0x22F                                              = 0x22F;
our $STORY_FLAGS_START                                       = 0x230;
our $FLAG_GOT_POTION_ON_ROUTE_1                              = 0x230;
our $FLAG_GOT_TM34_FROM_SURGE                                = 0x231;
our $FLAG_GOT_FOSSIL_FROM_MT_MOON                            = 0x232;
our $FLAG_HELPED_BILL_IN_SEA_COTTAGE                         = 0x233;
our $FLAG_GOT_SS_TICKET                                      = 0x234;
our $FLAG_GOT_SS_TICKET_DUP                                  = 0x235;
our $FLAG_GOT_TM42_AT_MEMORIAL_PILLAR                        = 0x236;
our $FLAG_GOT_HM01                                           = 0x237;
our $FLAG_GOT_HM02                                           = 0x238;
our $FLAG_GOT_HM03                                           = 0x239;
our $FLAG_GOT_HM04                                           = 0x23A;
our $FLAG_GOT_HM05                                           = 0x23B;
our $FLAG_RESCUED_MR_FUJI                                    = 0x23C;
our $FLAG_GOT_POKE_FLUTE                                     = 0x23D;
our $FLAG_0x23E                                              = 0x23E;
our $FLAG_GOT_TM28_FROM_ROCKET                               = 0x23F;
our $FLAG_GOT_OLD_ROD                                        = 0x240;
our $FLAG_GOT_BIKE_VOUCHER                                   = 0x241;
our $FLAG_0x242                                              = 0x242;
our $FLAG_GOT_COIN_CASE                                      = 0x243;
our $FLAG_GOT_GOOD_ROD                                       = 0x244;
our $FLAG_GOT_TM29_FROM_MR_PSYCHIC                           = 0x245;
our $FLAG_GOT_LAPRAS_FROM_SILPH                              = 0x246;
our $FLAG_GOT_POKEBALLS_FROM_OAK_AFTER_22_RIVAL              = 0x247;
our $FLAG_DID_MIMIEN_TRADE                                   = 0x248;
our $FLAG_BOUGHT_MAGIKARP                                    = 0x249;
our $FLAG_DID_ZYNX_TRADE                                     = 0x24A;
our $FLAG_DID_MS_NIDO_TRADE                                  = 0x24B;
our $FLAG_0x24C                                              = 0x24C;
our $FLAG_DID_CH_DING_TRADE                                  = 0x24D;
our $FLAG_GOT_TM38_FROM_BLAINE                               = 0x24E;
our $FLAG_OAK_SKIP_22_RIVAL_CHECK                            = 0x24F;
our $FLAG_GOT_MASTER_BALL_FROM_SILPH                         = 0x250;
our $FLAG_DID_NINA_TRADE                                     = 0x251;
our $FLAG_GOT_ITEMFINDER                                     = 0x252;
our $FLAG_WOKE_UP_ROUTE_12_SNORLAX                           = 0x253;
our $FLAG_GOT_TM39_FROM_BROCK                                = 0x254;
our $FLAG_GOT_SUPER_ROD                                      = 0x255;
our $FLAG_GOT_EXP_SHARE_FROM_OAKS_AIDE                       = 0x256;
our $FLAG_DID_MARC_TRADE                                     = 0x257;
our $FLAG_BEAT_RIVAL_IN_OAKS_LAB                             = 0x258;
our $FLAG_GOT_TM06_FROM_KOGA                                 = 0x259;
our $FLAG_0x25A                                              = 0x25A;
our $FLAG_GOT_TM27                                           = 0x25B;
our $FLAG_0x25C                                              = 0x25C;
our $FLAG_0x25D                                              = 0x25D;
our $FLAG_GOT_OLD_AMBER                                      = 0x25E;
our $FLAG_0x25F                                              = 0x25F;
our $FLAG_0x260                                              = 0x260;
our $FLAG_0x261                                              = 0x261;
our $FLAG_0x262                                              = 0x262;
our $FLAG_GOT_EEVEE                                          = 0x263;
our $FLAG_FOUND_BOTH_VERMILION_GYM_SWITCHES                  = 0x264;
our $FLAG_CINNABAR_GYM_QUIZ_1                                = 0x265;
our $FLAG_PENDING_DAYCARE_EGG                                = 0x266;
our $FLAG_CINNABAR_GYM_QUIZ_2                                = 0x267;
our $FLAG_CINNABAR_GYM_QUIZ_3                                = 0x268;
our $FLAG_CINNABAR_GYM_QUIZ_4                                = 0x269;
our $FLAG_CINNABAR_GYM_QUIZ_5                                = 0x26A;
our $FLAG_CINNABAR_GYM_QUIZ_6                                = 0x26B;
our $FLAG_POKEMON_MANSION_SWITCH_STATE                       = 0x26C;
our $FLAG_OPENED_ROCKET_HIDEOUT                              = 0x26D;
our $FLAG_GOT_10_COINS_FROM_GAMBLER                          = 0x26E;
our $FLAG_GOT_20_COINS_FROM_GAMBLER                          = 0x26F;
our $FLAG_GOT_20_COINS_FROM_GAMBLER_2                        = 0x270;
our $FLAG_GOT_BICYCLE                                        = 0x271;
our $FLAG_GOT_DOME_FOSSIL                                    = 0x272;
our $FLAG_GOT_HELIX_FOSSIL                                   = 0x273;
our $FLAG_DID_ESPHERE_TRADE                                  = 0x274;
our $FLAG_DID_TANGENY_TRADE                                  = 0x275;
our $FLAG_DID_SEELOR_TRADE                                   = 0x276;
our $FLAG_0x277                                              = 0x277;
our $FLAG_GOT_HITMON_FROM_DOJO                               = 0x278;
our $FLAG_0x279                                              = 0x279;
our $FLAG_SILPH_2F_DOOR_1                                    = 0x27A;
our $FLAG_SILPH_2F_DOOR_2                                    = 0x27B;
our $FLAG_SILPH_3F_DOOR_1                                    = 0x27C;
our $FLAG_SILPH_3F_DOOR_2                                    = 0x27D;
our $FLAG_SILPH_4F_DOOR_1                                    = 0x27E;
our $FLAG_SILPH_4F_DOOR_2                                    = 0x27F;
our $FLAG_SILPH_5F_DOOR_1                                    = 0x280;
our $FLAG_SILPH_5F_DOOR_2                                    = 0x281;
our $FLAG_SILPH_5F_DOOR_3                                    = 0x282;
our $FLAG_SILPH_6F_DOOR                                      = 0x283;
our $FLAG_SILPH_7F_DOOR_1                                    = 0x284;
our $FLAG_SILPH_7F_DOOR_2                                    = 0x285;
our $FLAG_SILPH_7F_DOOR_3                                    = 0x286;
our $FLAG_SILPH_8F_DOOR                                      = 0x287;
our $FLAG_SILPH_9F_DOOR_1                                    = 0x288;
our $FLAG_SILPH_9F_DOOR_2                                    = 0x289;
our $FLAG_SILPH_9F_DOOR_3                                    = 0x28A;
our $FLAG_SILPH_9F_DOOR_4                                    = 0x28B;
our $FLAG_SILPH_10F_DOOR                                     = 0x28C;
our $FLAG_SILPH_11F_DOOR                                     = 0x28D;
our $FLAG_0x28E                                              = 0x28E;
our $FLAG_0x28F                                              = 0x28F;
our $FLAG_MET_STICKER_MAN                                    = 0x290;
our $FLAG_PALLET_LADY_NOT_BLOCKING_SIGN                      = 0x291;
our $FLAG_GOT_VS_SEEKER                                      = 0x292;
our $FLAG_GOT_TM19_FROM_ERIKA                                = 0x293;
our $FLAG_GOT_TM33_FROM_THIRSTY_GIRL                         = 0x294;
our $FLAG_GOT_TM20_FROM_THIRSTY_GIRL                         = 0x295;
our $FLAG_GOT_TM16_FROM_THIRSTY_GIRL                         = 0x296;
our $FLAG_GOT_TM03_FROM_MISTY                                = 0x297;
our $FLAG_GOT_TM26_FROM_GIOVANNI                             = 0x298;
our $FLAG_0x299                                              = 0x299;
our $FLAG_GOT_TM04_FROM_SABRINA                              = 0x29A;
our $FLAG_GOT_FAME_CHECKER                                   = 0x29B;
our $FLAG_GOT_RECORD_SETTING_MAGIKARP                        = 0x29C;
our $FLAG_TWO_ISLAND_SHOP_INTRODUCED                         = 0x29D;
our $FLAG_TWO_ISLAND_SHOP_EXPANDED_1                         = 0x29E;
our $FLAG_TWO_ISLAND_SHOP_EXPANDED_2                         = 0x29F;
our $FLAG_TWO_ISLAND_SHOP_EXPANDED_3                         = 0x2A0;
our $FLAG_SEVII_DETOUR_FINISHED                              = 0x2A1;
our $FLAG_VISITED_TWO_ISLAND                                 = 0x2A2;
our $FLAG_RESCUED_LOSTELLE                                   = 0x2A3;
our $FLAG_0x2A4                                              = 0x2A4;
our $FLAG_CAN_USE_ROCKET_HIDEOUT_LIFT                        = 0x2A5;
our $FLAG_GOT_TEA                                            = 0x2A6;
our $FLAG_RECEIVED_AURORA_TICKET                             = 0x2A7;
our $FLAG_RECEIVED_MYSTIC_TICKET                             = 0x2A8;
our $FLAG_RECEIVED_OLD_SEA_MAP                               = 0x2A9;
our $FLAG_WONDER_CARD_UNUSED_1                               = 0x2AA;
our $FLAG_WONDER_CARD_UNUSED_2                               = 0x2AB;
our $FLAG_WONDER_CARD_UNUSED_3                               = 0x2AC;
our $FLAG_WONDER_CARD_UNUSED_4                               = 0x2AD;
our $FLAG_WONDER_CARD_UNUSED_5                               = 0x2AE;
our $FLAG_WONDER_CARD_UNUSED_6                               = 0x2AF;
our $FLAG_WONDER_CARD_UNUSED_7                               = 0x2B0;
our $FLAG_WONDER_CARD_UNUSED_8                               = 0x2B1;
our $FLAG_WONDER_CARD_UNUSED_9                               = 0x2B2;
our $FLAG_WONDER_CARD_UNUSED_10                              = 0x2B3;
our $FLAG_WONDER_CARD_UNUSED_11                              = 0x2B4;
our $FLAG_WONDER_CARD_UNUSED_12                              = 0x2B5;
our $FLAG_WONDER_CARD_UNUSED_13                              = 0x2B6;
our $FLAG_WONDER_CARD_UNUSED_14                              = 0x2B7;
our $FLAG_WONDER_CARD_UNUSED_15                              = 0x2B8;
our $FLAG_WONDER_CARD_UNUSED_16                              = 0x2B9;
our $FLAG_WONDER_CARD_UNUSED_17                              = 0x2BA;
our $NUM_WONDER_CARD_FLAGS =
  ( 1 + $FLAG_WONDER_CARD_UNUSED_17 - $FLAG_RECEIVED_AURORA_TICKET );

our $FLAG_GOT_POWDER_JAR                              = 0x2BB;
our $FLAG_FOUGHT_MEWTWO                               = 0x2BC;
our $FLAG_FOUGHT_MOLTRES                              = 0x2BD;
our $FLAG_FOUGHT_ARTICUNO                             = 0x2BE;
our $FLAG_FOUGHT_ZAPDOS                               = 0x2BF;
our $FLAG_TUTOR_DOUBLE_EDGE                           = 0x2C0;
our $FLAG_TUTOR_THUNDER_WAVE                          = 0x2C1;
our $FLAG_TUTOR_ROCK_SLIDE                            = 0x2C2;
our $FLAG_TUTOR_EXPLOSION                             = 0x2C3;
our $FLAG_TUTOR_MEGA_PUNCH                            = 0x2C4;
our $FLAG_TUTOR_MEGA_KICK                             = 0x2C5;
our $FLAG_TUTOR_DREAM_EATER                           = 0x2C6;
our $FLAG_TUTOR_SOFT_BOILED                           = 0x2C7;
our $FLAG_TUTOR_SUBSTITUTE                            = 0x2C8;
our $FLAG_TUTOR_SWORDS_DANCE                          = 0x2C9;
our $FLAG_TUTOR_SEISMIC_TOSS                          = 0x2CA;
our $FLAG_TUTOR_COUNTER                               = 0x2CB;
our $FLAG_TUTOR_METRONOME                             = 0x2CC;
our $FLAG_TUTOR_MIMIC                                 = 0x2CD;
our $FLAG_TUTOR_BODY_SLAM                             = 0x2CE;
our $FLAG_VISITED_OAKS_LAB                            = 0x2CF;
our $FLAG_FOUGHT_POWER_PLANT_ELECTRODE_1              = 0x2D0;
our $FLAG_FOUGHT_POWER_PLANT_ELECTRODE_2              = 0x2D1;
our $FLAG_STOPPED_SEAFOAM_B3F_CURRENT                 = 0x2D2;
our $FLAG_STOPPED_SEAFOAM_B4F_CURRENT                 = 0x2D3;
our $FLAG_TALKED_TO_LORELEI_AFTER_WAREHOUSE           = 0x2D4;
our $FLAG_DEFEATED_ROCKETS_IN_WAREHOUSE               = 0x2D5;
our $FLAG_UNLOCKED_ROCKET_WAREHOUSE                   = 0x2D6;
our $FLAG_NO_ROOM_FOR_TM42_AT_MEMORIAL_PILLAR         = 0x2D7;
our $FLAG_LEARNED_YES_NAH_CHANSEY                     = 0x2D8;
our $FLAG_GOT_NEST_BALL_FROM_WATER_PATH_HOUSE_1       = 0x2D9;
our $FLAG_GOT_TOGEPI_EGG                              = 0x2DA;
our $FLAG_NO_ROOM_FOR_TOGEPI_EGG                      = 0x2DB;
our $FLAG_RECOVERED_SAPPHIRE                          = 0x2DC;
our $FLAG_GOT_RUBY                                    = 0x2DD;
our $FLAG_TUTOR_FRENZY_PLANT                          = 0x2DE;
our $FLAG_TUTOR_BLAST_BURN                            = 0x2DF;
our $FLAG_TUTOR_HYDRO_CANNON                          = 0x2E0;
our $FLAG_LEARNED_ALL_MOVES_AT_CAPE_BRINK             = 0x2E1;
our $FLAG_GOT_NUGGET_FROM_DUNSPARCE_TUNNEL            = 0x2E2;
our $FLAG_USED_CUT_ON_RUIN_VALLEY_BRAILLE             = 0x2E3;
our $FLAG_FOUGHT_DEOXYS                               = 0x2E4;
our $FLAG_0x2E5                                       = 0x2E5;
our $FLAG_0x2E6                                       = 0x2E6;
our $FLAG_0x2E7                                       = 0x2E7;
our $FLAG_0x2E8                                       = 0x2E8;
our $FLAG_0x2E9                                       = 0x2E9;
our $FLAG_0x2EA                                       = 0x2EA;
our $FLAG_0x2EB                                       = 0x2EB;
our $FLAG_REVIVED_DOME                                = 0x2EC;
our $FLAG_REVIVED_HELIX                               = 0x2ED;
our $FLAG_REVIVED_AMBER                               = 0x2EE;
our $FLAG_GOT_HM06                                    = 0x2EF;
our $FLAG_SHOWN_MYSTIC_TICKET                         = 0x2F0;
our $FLAG_SHOWN_AURORA_TICKET                         = 0x2F1;
our $FLAG_FOUGHT_LUGIA                                = 0x2F2;
our $FLAG_FOUGHT_HO_OH                                = 0x2F3;
our $FLAG_OAK_SAW_DEX_COMPLETION                      = 0x2F4;
our $FLAG_LUGIA_FLEW_AWAY                             = 0x2F5;
our $FLAG_HO_OH_FLEW_AWAY                             = 0x2F6;
our $FLAG_DEOXYS_FLEW_AWAY                            = 0x2F7;
our $FLAG_TALKED_TO_TEA_LADY_AFTER_HOF                = 0x2F8;
our $FLAG_TALKED_TO_OAKS_AIDE_IN_VERMILION            = 0x2F9;
our $FLAG_GOT_EVERSTONE_FROM_OAKS_AIDE                = 0x2FA;
our $FLAG_GOT_MOON_STONE_FROM_JOYFUL_GAME_CORNER      = 0x2FB;
our $FLAG_GOT_FULL_RESTORE_FROM_THREE_ISLAND_DEFENDER = 0x2FC;
our $FLAG_GOT_AMULET_COIN_FROM_OAKS_AIDE              = 0x2FD;
our $FLAG_NO_ROOM_FOR_JOYFUL_GAME_CORNER_MOON_STONE   = 0x2FE;
our $FLAG_OAKS_RATING_IS_VIA_PC                       = 0x2FF;
our $FLAG_0x300                                       = 0x300;
our $FLAG_0x301                                       = 0x301;
our $FLAG_0x302                                       = 0x302;
our $FLAG_0x303                                       = 0x303;
our $FLAG_0x304                                       = 0x304;
our $FLAG_0x305                                       = 0x305;
our $FLAG_0x306                                       = 0x306;
our $FLAG_0x307                                       = 0x307;
our $FLAG_0x308                                       = 0x308;
our $FLAG_0x309                                       = 0x309;
our $FLAG_0x30A                                       = 0x30A;
our $FLAG_0x30B                                       = 0x30B;
our $FLAG_0x30C                                       = 0x30C;
our $FLAG_0x30D                                       = 0x30D;
our $FLAG_0x30E                                       = 0x30E;
our $FLAG_0x30F                                       = 0x30F;
our $FLAG_0x310                                       = 0x310;
our $FLAG_0x311                                       = 0x311;
our $FLAG_0x312                                       = 0x312;
our $FLAG_0x313                                       = 0x313;
our $FLAG_0x314                                       = 0x314;
our $FLAG_0x315                                       = 0x315;
our $FLAG_0x316                                       = 0x316;
our $FLAG_0x317                                       = 0x317;
our $FLAG_0x318                                       = 0x318;
our $FLAG_0x319                                       = 0x319;
our $FLAG_0x31A                                       = 0x31A;
our $FLAG_0x31B                                       = 0x31B;
our $FLAG_0x31C                                       = 0x31C;
our $FLAG_0x31D                                       = 0x31D;
our $FLAG_0x31E                                       = 0x31E;
our $FLAG_0x31F                                       = 0x31F;
our $FLAG_0x320                                       = 0x320;
our $FLAG_0x321                                       = 0x321;
our $FLAG_0x322                                       = 0x322;
our $FLAG_0x323                                       = 0x323;
our $FLAG_0x324                                       = 0x324;
our $FLAG_0x325                                       = 0x325;
our $FLAG_0x326                                       = 0x326;
our $FLAG_0x327                                       = 0x327;
our $FLAG_0x328                                       = 0x328;
our $FLAG_0x329                                       = 0x329;
our $FLAG_0x32A                                       = 0x32A;
our $FLAG_0x32B                                       = 0x32B;
our $FLAG_0x32C                                       = 0x32C;
our $FLAG_0x32D                                       = 0x32D;
our $FLAG_0x32E                                       = 0x32E;
our $FLAG_0x32F                                       = 0x32F;
our $FLAG_0x330                                       = 0x330;
our $FLAG_0x331                                       = 0x331;
our $FLAG_0x332                                       = 0x332;
our $FLAG_0x333                                       = 0x333;
our $FLAG_0x334                                       = 0x334;
our $FLAG_0x335                                       = 0x335;
our $FLAG_0x336                                       = 0x336;
our $FLAG_0x337                                       = 0x337;
our $FLAG_0x338                                       = 0x338;
our $FLAG_0x339                                       = 0x339;
our $FLAG_0x33A                                       = 0x33A;
our $FLAG_0x33B                                       = 0x33B;
our $FLAG_0x33C                                       = 0x33C;
our $FLAG_0x33D                                       = 0x33D;
our $FLAG_0x33E                                       = 0x33E;
our $FLAG_0x33F                                       = 0x33F;
our $FLAG_0x340                                       = 0x340;
our $FLAG_0x341                                       = 0x341;
our $FLAG_0x342                                       = 0x342;
our $FLAG_0x343                                       = 0x343;
our $FLAG_0x344                                       = 0x344;
our $FLAG_0x345                                       = 0x345;
our $FLAG_0x346                                       = 0x346;
our $FLAG_0x347                                       = 0x347;
our $FLAG_0x348                                       = 0x348;
our $FLAG_0x349                                       = 0x349;
our $FLAG_0x34A                                       = 0x34A;
our $FLAG_0x34B                                       = 0x34B;
our $FLAG_0x34C                                       = 0x34C;
our $FLAG_0x34D                                       = 0x34D;
our $FLAG_0x34E                                       = 0x34E;
our $FLAG_0x34F                                       = 0x34F;
our $FLAG_0x350                                       = 0x350;
our $FLAG_0x351                                       = 0x351;
our $FLAG_0x352                                       = 0x352;
our $FLAG_0x353                                       = 0x353;
our $FLAG_0x354                                       = 0x354;
our $FLAG_0x355                                       = 0x355;
our $FLAG_0x356                                       = 0x356;
our $FLAG_0x357                                       = 0x357;
our $FLAG_0x358                                       = 0x358;
our $FLAG_0x359                                       = 0x359;
our $FLAG_0x35A                                       = 0x35A;
our $FLAG_0x35B                                       = 0x35B;
our $FLAG_0x35C                                       = 0x35C;
our $FLAG_0x35D                                       = 0x35D;
our $FLAG_0x35E                                       = 0x35E;
our $FLAG_0x35F                                       = 0x35F;
our $FLAG_0x360                                       = 0x360;
our $FLAG_0x361                                       = 0x361;
our $FLAG_0x362                                       = 0x362;
our $FLAG_0x363                                       = 0x363;
our $FLAG_0x364                                       = 0x364;
our $FLAG_0x365                                       = 0x365;
our $FLAG_0x366                                       = 0x366;
our $FLAG_0x367                                       = 0x367;
our $FLAG_0x368                                       = 0x368;
our $FLAG_0x369                                       = 0x369;
our $FLAG_0x36A                                       = 0x36A;
our $FLAG_0x36B                                       = 0x36B;
our $FLAG_0x36C                                       = 0x36C;
our $FLAG_0x36D                                       = 0x36D;
our $FLAG_0x36E                                       = 0x36E;
our $FLAG_0x36F                                       = 0x36F;
our $FLAG_0x370                                       = 0x370;
our $FLAG_0x371                                       = 0x371;
our $FLAG_0x372                                       = 0x372;
our $FLAG_0x373                                       = 0x373;
our $FLAG_0x374                                       = 0x374;
our $FLAG_0x375                                       = 0x375;
our $FLAG_0x376                                       = 0x376;
our $FLAG_0x377                                       = 0x377;
our $FLAG_0x378                                       = 0x378;
our $FLAG_0x379                                       = 0x379;
our $FLAG_0x37A                                       = 0x37A;
our $FLAG_0x37B                                       = 0x37B;
our $FLAG_0x37C                                       = 0x37C;
our $FLAG_0x37D                                       = 0x37D;
our $FLAG_0x37E                                       = 0x37E;
our $FLAG_0x37F                                       = 0x37F;
our $FLAG_0x380                                       = 0x380;
our $FLAG_0x381                                       = 0x381;
our $FLAG_0x382                                       = 0x382;
our $FLAG_0x383                                       = 0x383;
our $FLAG_0x384                                       = 0x384;
our $FLAG_0x385                                       = 0x385;
our $FLAG_0x386                                       = 0x386;
our $FLAG_0x387                                       = 0x387;
our $FLAG_0x388                                       = 0x388;
our $FLAG_0x389                                       = 0x389;
our $FLAG_0x38A                                       = 0x38A;
our $FLAG_0x38B                                       = 0x38B;
our $FLAG_0x38C                                       = 0x38C;
our $FLAG_0x38D                                       = 0x38D;
our $FLAG_0x38E                                       = 0x38E;
our $FLAG_0x38F                                       = 0x38F;
our $FLAG_0x390                                       = 0x390;
our $FLAG_0x391                                       = 0x391;
our $FLAG_0x392                                       = 0x392;
our $FLAG_0x393                                       = 0x393;
our $FLAG_0x394                                       = 0x394;
our $FLAG_0x395                                       = 0x395;
our $FLAG_0x396                                       = 0x396;
our $FLAG_0x397                                       = 0x397;
our $FLAG_0x398                                       = 0x398;
our $FLAG_0x399                                       = 0x399;
our $FLAG_0x39A                                       = 0x39A;
our $FLAG_0x39B                                       = 0x39B;
our $FLAG_0x39C                                       = 0x39C;
our $FLAG_0x39D                                       = 0x39D;
our $FLAG_0x39E                                       = 0x39E;
our $FLAG_0x39F                                       = 0x39F;
our $FLAG_0x3A0                                       = 0x3A0;
our $FLAG_0x3A1                                       = 0x3A1;
our $FLAG_0x3A2                                       = 0x3A2;
our $FLAG_0x3A3                                       = 0x3A3;
our $FLAG_0x3A4                                       = 0x3A4;
our $FLAG_0x3A5                                       = 0x3A5;
our $FLAG_0x3A6                                       = 0x3A6;
our $FLAG_0x3A7                                       = 0x3A7;
our $FLAG_0x3A8                                       = 0x3A8;
our $FLAG_0x3A9                                       = 0x3A9;
our $FLAG_0x3AA                                       = 0x3AA;
our $FLAG_0x3AB                                       = 0x3AB;
our $FLAG_0x3AC                                       = 0x3AC;
our $FLAG_0x3AD                                       = 0x3AD;
our $FLAG_0x3AE                                       = 0x3AE;
our $FLAG_0x3AF                                       = 0x3AF;
our $FLAG_0x3B0                                       = 0x3B0;
our $FLAG_0x3B1                                       = 0x3B1;
our $FLAG_0x3B2                                       = 0x3B2;
our $FLAG_0x3B3                                       = 0x3B3;
our $FLAG_0x3B4                                       = 0x3B4;
our $FLAG_0x3B5                                       = 0x3B5;
our $FLAG_0x3B6                                       = 0x3B6;
our $FLAG_0x3B7                                       = 0x3B7;
our $FLAG_0x3B8                                       = 0x3B8;
our $FLAG_0x3B9                                       = 0x3B9;
our $FLAG_0x3BA                                       = 0x3BA;
our $FLAG_0x3BB                                       = 0x3BB;
our $FLAG_0x3BC                                       = 0x3BC;
our $FLAG_0x3BD                                       = 0x3BD;
our $FLAG_0x3BE                                       = 0x3BE;
our $FLAG_0x3BF                                       = 0x3BF;
our $FLAG_0x3C0                                       = 0x3C0;
our $FLAG_0x3C1                                       = 0x3C1;
our $FLAG_0x3C2                                       = 0x3C2;
our $FLAG_0x3C3                                       = 0x3C3;
our $FLAG_0x3C4                                       = 0x3C4;
our $FLAG_0x3C5                                       = 0x3C5;
our $FLAG_0x3C6                                       = 0x3C6;
our $FLAG_0x3C7                                       = 0x3C7;
our $FLAG_0x3C8                                       = 0x3C8;
our $FLAG_0x3C9                                       = 0x3C9;
our $FLAG_0x3CA                                       = 0x3CA;
our $FLAG_0x3CB                                       = 0x3CB;
our $FLAG_0x3CC                                       = 0x3CC;
our $FLAG_0x3CD                                       = 0x3CD;
our $FLAG_0x3CE                                       = 0x3CE;
our $FLAG_0x3CF                                       = 0x3CF;
our $FLAG_0x3D0                                       = 0x3D0;
our $FLAG_0x3D1                                       = 0x3D1;
our $FLAG_0x3D2                                       = 0x3D2;
our $FLAG_0x3D3                                       = 0x3D3;
our $FLAG_0x3D4                                       = 0x3D4;
our $FLAG_0x3D5                                       = 0x3D5;
our $FLAG_0x3D6                                       = 0x3D6;
our $FLAG_0x3D7                                       = 0x3D7;
our $FLAG_MYSTERY_GIFT_DONE                           = 0x3D8;
our $FLAG_MYSTERY_GIFT_1                              = 0x3D9;
our $FLAG_MYSTERY_GIFT_2                              = 0x3DA;
our $FLAG_MYSTERY_GIFT_3                              = 0x3DB;
our $FLAG_MYSTERY_GIFT_4                              = 0x3DC;
our $FLAG_MYSTERY_GIFT_5                              = 0x3DD;
our $FLAG_MYSTERY_GIFT_6                              = 0x3DE;
our $FLAG_MYSTERY_GIFT_7                              = 0x3DF;
our $FLAG_MYSTERY_GIFT_8                              = 0x3E0;
our $FLAG_MYSTERY_GIFT_9                              = 0x3E1;
our $FLAG_MYSTERY_GIFT_10                             = 0x3E2;
our $FLAG_MYSTERY_GIFT_11                             = 0x3E3;
our $FLAG_MYSTERY_GIFT_12                             = 0x3E4;
our $FLAG_MYSTERY_GIFT_13                             = 0x3E5;
our $FLAG_MYSTERY_GIFT_14                             = 0x3E6;
our $FLAG_MYSTERY_GIFT_15                             = 0x3E7;

our $FLAG_HIDDEN_ITEMS_START = 1000;

our $FLAG_HIDDEN_ITEM_VIRIDIAN_FOREST_POTION = ( $FLAG_HIDDEN_ITEMS_START + 0 );
our $FLAG_HIDDEN_ITEM_VIRIDIAN_FOREST_ANTIDOTE =
  ( $FLAG_HIDDEN_ITEMS_START + 1 );
our $FLAG_HIDDEN_ITEM_MT_MOON_B2F_MOON_STONE = ( $FLAG_HIDDEN_ITEMS_START + 2 );
our $FLAG_HIDDEN_ITEM_MT_MOON_B2F_ETHER      = ( $FLAG_HIDDEN_ITEMS_START + 3 );
our $FLAG_HIDDEN_ITEM_ROUTE25_ELIXIR         = ( $FLAG_HIDDEN_ITEMS_START + 4 );
our $FLAG_HIDDEN_ITEM_ROUTE25_ETHER          = ( $FLAG_HIDDEN_ITEMS_START + 5 );
our $FLAG_HIDDEN_ITEM_ROUTE9_ETHER           = ( $FLAG_HIDDEN_ITEMS_START + 6 );
our $FLAG_HIDDEN_ITEM_UNUSED_0x07            = ( $FLAG_HIDDEN_ITEMS_START + 7 );
our $FLAG_HIDDEN_ITEM_SSANNE_B1F_CORRIDOR_HYPER_POTION =
  ( $FLAG_HIDDEN_ITEMS_START + 8 );
our $FLAG_HIDDEN_ITEM_ROUTE10_SUPER_POTION = ( $FLAG_HIDDEN_ITEMS_START + 9 );
our $FLAG_HIDDEN_ITEM_ROUTE10_MAX_ETHER    = ( $FLAG_HIDDEN_ITEMS_START + 10 );
our $FLAG_HIDDEN_ITEM_ROCKET_HIDEOUT_B1F_PP_UP =
  ( $FLAG_HIDDEN_ITEMS_START + 11 );
our $FLAG_HIDDEN_ITEM_ROCKET_HIDEOUT_B3F_NUGGET =
  ( $FLAG_HIDDEN_ITEMS_START + 12 );
our $FLAG_HIDDEN_ITEM_ROCKET_HIDEOUT_B4F_NEST_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 13 );
our $FLAG_HIDDEN_ITEM_POKEMON_TOWER_5F_BIG_MUSHROOM =
  ( $FLAG_HIDDEN_ITEMS_START + 14 );
our $FLAG_HIDDEN_ITEM_ROUTE13_PP_UP        = ( $FLAG_HIDDEN_ITEMS_START + 15 );
our $FLAG_HIDDEN_ITEM_UNUSED_0x10          = ( $FLAG_HIDDEN_ITEMS_START + 16 );
our $FLAG_HIDDEN_ITEM_ROUTE17_RARE_CANDY   = ( $FLAG_HIDDEN_ITEMS_START + 17 );
our $FLAG_HIDDEN_ITEM_ROUTE17_FULL_RESTORE = ( $FLAG_HIDDEN_ITEMS_START + 18 );
our $FLAG_HIDDEN_ITEM_ROUTE17_PP_UP        = ( $FLAG_HIDDEN_ITEMS_START + 19 );
our $FLAG_HIDDEN_ITEM_ROUTE17_MAX_REVIVE   = ( $FLAG_HIDDEN_ITEMS_START + 20 );
our $FLAG_HIDDEN_ITEM_ROUTE17_MAX_ELIXIR   = ( $FLAG_HIDDEN_ITEMS_START + 21 );
our $FLAG_HIDDEN_ITEM_SAFARI_ZONE_CENTER_LEAF_STONE =
  ( $FLAG_HIDDEN_ITEMS_START + 22 );
our $FLAG_HIDDEN_ITEM_SAFARI_ZONE_WEST_REVIVE =
  ( $FLAG_HIDDEN_ITEMS_START + 23 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_5F_ELIXIR = ( $FLAG_HIDDEN_ITEMS_START + 24 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_9F_MAX_POTION =
  ( $FLAG_HIDDEN_ITEMS_START + 25 );
our $FLAG_HIDDEN_ITEM_SAFFRON_CITY_COPYCATS_HOUSE_2F_NUGGET =
  ( $FLAG_HIDDEN_ITEMS_START + 26 );
our $FLAG_HIDDEN_ITEM_POWER_PLANT_MAX_ELIXIR =
  ( $FLAG_HIDDEN_ITEMS_START + 27 );
our $FLAG_HIDDEN_ITEM_POWER_PLANT_THUNDER_STONE =
  ( $FLAG_HIDDEN_ITEMS_START + 28 );
our $FLAG_HIDDEN_ITEM_SEAFOAM_ISLANDS_B3F_NUGGET =
  ( $FLAG_HIDDEN_ITEMS_START + 29 );
our $FLAG_HIDDEN_ITEM_SEAFOAM_ISLANDS_B4F_WATER_STONE =
  ( $FLAG_HIDDEN_ITEMS_START + 30 );
our $FLAG_HIDDEN_ITEM_POKEMON_MANSION_1F_MOON_STONE =
  ( $FLAG_HIDDEN_ITEMS_START + 31 );
our $FLAG_HIDDEN_ITEM_POKEMON_MANSION_3F_RARE_CANDY =
  ( $FLAG_HIDDEN_ITEMS_START + 32 );
our $FLAG_HIDDEN_ITEM_POKEMON_MANSION_B1F_ELIXIR =
  ( $FLAG_HIDDEN_ITEMS_START + 33 );
our $FLAG_HIDDEN_ITEM_ROUTE23_FULL_RESTORE = ( $FLAG_HIDDEN_ITEMS_START + 34 );
our $FLAG_HIDDEN_ITEM_ROUTE23_ULTRA_BALL   = ( $FLAG_HIDDEN_ITEMS_START + 35 );
our $FLAG_HIDDEN_ITEM_ROUTE23_MAX_ETHER    = ( $FLAG_HIDDEN_ITEMS_START + 36 );
our $FLAG_HIDDEN_ITEM_VICTORY_ROAD_1F_ULTRA_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 37 );
our $FLAG_HIDDEN_ITEM_VICTORY_ROAD_1F_FULL_RESTORE =
  ( $FLAG_HIDDEN_ITEMS_START + 38 );
our $FLAG_HIDDEN_ITEM_CERULEAN_CAVE_1F_ULTRA_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 39 );
our $FLAG_HIDDEN_ITEM_UNUSED_0x28          = ( $FLAG_HIDDEN_ITEMS_START + 40 );
our $FLAG_HIDDEN_ITEM_ROUTE11_ESCAPE_ROPE  = ( $FLAG_HIDDEN_ITEMS_START + 41 );
our $FLAG_HIDDEN_ITEM_ROUTE12_HYPER_POTION = ( $FLAG_HIDDEN_ITEMS_START + 42 );
our $FLAG_HIDDEN_ITEM_UNUSED_0x2B          = ( $FLAG_HIDDEN_ITEMS_START + 43 );
our $FLAG_HIDDEN_ITEM_UNUSED_0x2C          = ( $FLAG_HIDDEN_ITEMS_START + 44 );
our $FLAG_HIDDEN_ITEM_UNUSED_0x2D          = ( $FLAG_HIDDEN_ITEMS_START + 45 );
our $FLAG_HIDDEN_ITEM_UNUSED_0x2E          = ( $FLAG_HIDDEN_ITEMS_START + 46 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_PP_UP   = ( $FLAG_HIDDEN_ITEMS_START + 47 );
our $FLAG_HIDDEN_ITEM_VERMILION_CITY_MAX_ETHER =
  ( $FLAG_HIDDEN_ITEMS_START + 48 );
our $FLAG_HIDDEN_ITEM_CERULEAN_CITY_RARE_CANDY =
  ( $FLAG_HIDDEN_ITEMS_START + 49 );
our $FLAG_HIDDEN_ITEM_ROUTE4_GREAT_BALL = ( $FLAG_HIDDEN_ITEMS_START + 50 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS =
  ( $FLAG_HIDDEN_ITEMS_START + 51 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_2 =
  ( $FLAG_HIDDEN_ITEMS_START + 52 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_3 =
  ( $FLAG_HIDDEN_ITEMS_START + 53 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_4 =
  ( $FLAG_HIDDEN_ITEMS_START + 54 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_5 =
  ( $FLAG_HIDDEN_ITEMS_START + 55 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_6 =
  ( $FLAG_HIDDEN_ITEMS_START + 56 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_7 =
  ( $FLAG_HIDDEN_ITEMS_START + 57 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_8 =
  ( $FLAG_HIDDEN_ITEMS_START + 58 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_9 =
  ( $FLAG_HIDDEN_ITEMS_START + 59 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_10 =
  ( $FLAG_HIDDEN_ITEMS_START + 60 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_11 =
  ( $FLAG_HIDDEN_ITEMS_START + 61 );
our $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_12 =
  ( $FLAG_HIDDEN_ITEMS_START + 62 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_SEVAULT_CANYON_CHERI_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 63 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TANOBY_RUINS_HEART_SCALE_4 =
  ( $FLAG_HIDDEN_ITEMS_START + 64 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TANOBY_RUINS_HEART_SCALE =
  ( $FLAG_HIDDEN_ITEMS_START + 65 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TANOBY_RUINS_HEART_SCALE_2 =
  ( $FLAG_HIDDEN_ITEMS_START + 66 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TANOBY_RUINS_HEART_SCALE_3 =
  ( $FLAG_HIDDEN_ITEMS_START + 67 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_ROCKET_WAREHOUSE_NEST_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 68 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_ROCKET_WAREHOUSE_NET_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 69 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_POTION =
  ( $FLAG_HIDDEN_ITEMS_START + 70 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_ANTIDOTE =
  ( $FLAG_HIDDEN_ITEMS_START + 71 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_PARALYZE_HEAL =
  ( $FLAG_HIDDEN_ITEMS_START + 72 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_AWAKENING =
  ( $FLAG_HIDDEN_ITEMS_START + 73 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_BURN_HEAL =
  ( $FLAG_HIDDEN_ITEMS_START + 74 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_ICE_HEAL =
  ( $FLAG_HIDDEN_ITEMS_START + 75 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_ETHER =
  ( $FLAG_HIDDEN_ITEMS_START + 76 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_POTION =
  ( $FLAG_HIDDEN_ITEMS_START + 77 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_ANTIDOTE =
  ( $FLAG_HIDDEN_ITEMS_START + 78 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_PARALYZE_HEAL =
  ( $FLAG_HIDDEN_ITEMS_START + 79 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_AWAKENING =
  ( $FLAG_HIDDEN_ITEMS_START + 80 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_BURN_HEAL =
  ( $FLAG_HIDDEN_ITEMS_START + 81 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_ICE_HEAL =
  ( $FLAG_HIDDEN_ITEMS_START + 82 );
our $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_ETHER =
  ( $FLAG_HIDDEN_ITEMS_START + 83 );
our $FLAG_HIDDEN_ITEM_MT_MOON_B1F_TINY_MUSHROOM =
  ( $FLAG_HIDDEN_ITEMS_START + 84 );
our $FLAG_HIDDEN_ITEM_MT_MOON_B1F_TINY_MUSHROOM_2 =
  ( $FLAG_HIDDEN_ITEMS_START + 85 );
our $FLAG_HIDDEN_ITEM_MT_MOON_B1F_TINY_MUSHROOM_3 =
  ( $FLAG_HIDDEN_ITEMS_START + 86 );
our $FLAG_HIDDEN_ITEM_MT_MOON_B1F_BIG_MUSHROOM =
  ( $FLAG_HIDDEN_ITEMS_START + 87 );
our $FLAG_HIDDEN_ITEM_MT_MOON_B1F_BIG_MUSHROOM_2 =
  ( $FLAG_HIDDEN_ITEMS_START + 88 );
our $FLAG_HIDDEN_ITEM_MT_MOON_B1F_BIG_MUSHROOM_3 =
  ( $FLAG_HIDDEN_ITEMS_START + 89 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_RAZZ_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 90 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_BLUK_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 91 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_NANAB_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 92 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_WEPEAR_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 93 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_ORAN_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 94 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_CHERI_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 95 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_CHESTO_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 96 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_PECHA_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 97 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_RAWST_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 98 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_ASPEAR_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 99 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_PERSIM_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 100 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_PINAP_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 101 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_LUM_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 102 );
our $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_STARDUST =
  ( $FLAG_HIDDEN_ITEMS_START + 103 );
our $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_STARDUST_2 =
  ( $FLAG_HIDDEN_ITEMS_START + 104 );
our $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_PEARL =
  ( $FLAG_HIDDEN_ITEMS_START + 105 );
our $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_PEARL_2 =
  ( $FLAG_HIDDEN_ITEMS_START + 106 );
our $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_ULTRA_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 107 );
our $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_ULTRA_BALL_2 =
  ( $FLAG_HIDDEN_ITEMS_START + 108 );
our $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_STAR_PIECE =
  ( $FLAG_HIDDEN_ITEMS_START + 109 );
our $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_BIG_PEARL =
  ( $FLAG_HIDDEN_ITEMS_START + 110 );
our $FLAG_HIDDEN_ITEM_TWO_ISLAND_CAPE_BRINK_RARE_CANDY =
  ( $FLAG_HIDDEN_ITEMS_START + 111 );
our $FLAG_HIDDEN_ITEM_PEWTER_CITY_POKE_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 112 );
our $FLAG_HIDDEN_ITEM_ROUTE3_ORAN_BERRY   = ( $FLAG_HIDDEN_ITEMS_START + 113 );
our $FLAG_HIDDEN_ITEM_ROUTE4_PERSIM_BERRY = ( $FLAG_HIDDEN_ITEMS_START + 114 );
our $FLAG_HIDDEN_ITEM_ROUTE24_PECHA_BERRY = ( $FLAG_HIDDEN_ITEMS_START + 115 );
our $FLAG_HIDDEN_ITEM_ROUTE25_ORAN_BERRY  = ( $FLAG_HIDDEN_ITEMS_START + 116 );
our $FLAG_HIDDEN_ITEM_ROUTE25_BLUK_BERRY  = ( $FLAG_HIDDEN_ITEMS_START + 117 );
our $FLAG_HIDDEN_ITEM_ROUTE6_SITRUS_BERRY = ( $FLAG_HIDDEN_ITEMS_START + 118 );
our $FLAG_HIDDEN_ITEM_ROUTE6_RARE_CANDY   = ( $FLAG_HIDDEN_ITEMS_START + 119 );
our $FLAG_HIDDEN_ITEM_SSANNE_KITCHEN_PECHA_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 120 );
our $FLAG_HIDDEN_ITEM_SSANNE_KITCHEN_CHERI_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 121 );
our $FLAG_HIDDEN_ITEM_SSANNE_KITCHEN_CHESTO_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 122 );
our $FLAG_HIDDEN_ITEM_ROUTE9_RARE_CANDY    = ( $FLAG_HIDDEN_ITEMS_START + 123 );
our $FLAG_HIDDEN_ITEM_UNUSED_0x7C          = ( $FLAG_HIDDEN_ITEMS_START + 124 );
our $FLAG_HIDDEN_ITEM_ROUTE10_PERSIM_BERRY = ( $FLAG_HIDDEN_ITEMS_START + 125 );
our $FLAG_HIDDEN_ITEM_ROUTE10_CHERI_BERRY  = ( $FLAG_HIDDEN_ITEMS_START + 126 );
our $FLAG_HIDDEN_ITEM_ROUTE8_RAWST_BERRY   = ( $FLAG_HIDDEN_ITEMS_START + 127 );
our $FLAG_HIDDEN_ITEM_ROUTE8_LUM_BERRY     = ( $FLAG_HIDDEN_ITEMS_START + 128 );
our $FLAG_HIDDEN_ITEM_ROUTE8_LEPPA_BERRY   = ( $FLAG_HIDDEN_ITEMS_START + 129 );
our $FLAG_HIDDEN_ITEM_ROUTE12_RARE_CANDY   = ( $FLAG_HIDDEN_ITEMS_START + 130 );
our $FLAG_HIDDEN_ITEM_ROUTE12_LEFTOVERS    = ( $FLAG_HIDDEN_ITEMS_START + 131 );
our $FLAG_HIDDEN_ITEM_ROUTE16_LEFTOVERS    = ( $FLAG_HIDDEN_ITEMS_START + 132 );
our $FLAG_HIDDEN_ITEM_FUCHSIA_CITY_MAX_REVIVE =
  ( $FLAG_HIDDEN_ITEMS_START + 133 );
our $FLAG_HIDDEN_ITEM_ROCKET_HIDEOUT_B4F_NET_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 134 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_2F_ULTRA_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 135 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_3F_PROTEIN  = ( $FLAG_HIDDEN_ITEMS_START + 136 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_4F_IRON     = ( $FLAG_HIDDEN_ITEMS_START + 137 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_5F_PP_UP    = ( $FLAG_HIDDEN_ITEMS_START + 138 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_6F_CARBOS   = ( $FLAG_HIDDEN_ITEMS_START + 139 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_7F_ZINC     = ( $FLAG_HIDDEN_ITEMS_START + 140 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_8F_NUGGET   = ( $FLAG_HIDDEN_ITEMS_START + 141 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_9F_CALCIUM  = ( $FLAG_HIDDEN_ITEMS_START + 142 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_10F_HP_UP   = ( $FLAG_HIDDEN_ITEMS_START + 143 );
our $FLAG_HIDDEN_ITEM_SILPH_CO_11F_REVIVE  = ( $FLAG_HIDDEN_ITEMS_START + 144 );
our $FLAG_HIDDEN_ITEM_ROUTE23_LUM_BERRY    = ( $FLAG_HIDDEN_ITEMS_START + 145 );
our $FLAG_HIDDEN_ITEM_ROUTE23_SITRUS_BERRY = ( $FLAG_HIDDEN_ITEMS_START + 146 );
our $FLAG_HIDDEN_ITEM_ROUTE23_ASPEAR_BERRY = ( $FLAG_HIDDEN_ITEMS_START + 147 );
our $FLAG_HIDDEN_ITEM_ROUTE23_LEPPA_BERRY  = ( $FLAG_HIDDEN_ITEMS_START + 148 );
our $FLAG_HIDDEN_ITEM_ROUTE14_ZINC         = ( $FLAG_HIDDEN_ITEMS_START + 149 );
our $FLAG_HIDDEN_ITEM_ROUTE9_CHESTO_BERRY  = ( $FLAG_HIDDEN_ITEMS_START + 150 );
our $FLAG_HIDDEN_ITEM_ROUTE10_NANAB_BERRY  = ( $FLAG_HIDDEN_ITEMS_START + 151 );
our $FLAG_HIDDEN_ITEM_ROUTE7_WEPEAR_BERRY  = ( $FLAG_HIDDEN_ITEMS_START + 152 );
our $FLAG_HIDDEN_ITEM_ROUTE20_STARDUST     = ( $FLAG_HIDDEN_ITEMS_START + 153 );
our $FLAG_HIDDEN_ITEM_ROUTE21_NORTH_PEARL  = ( $FLAG_HIDDEN_ITEMS_START + 154 );
our $FLAG_HIDDEN_ITEM_ROUTE23_MAX_ELIXIR   = ( $FLAG_HIDDEN_ITEMS_START + 155 );
our $FLAG_HIDDEN_ITEM_ROUTE4_RAZZ_BERRY    = ( $FLAG_HIDDEN_ITEMS_START + 156 );
our $FLAG_HIDDEN_ITEM_ROUTE14_PINAP_BERRY  = ( $FLAG_HIDDEN_ITEMS_START + 157 );
our $FLAG_HIDDEN_ITEM_MT_EMBER_EXTERIOR_FIRE_STONE =
  ( $FLAG_HIDDEN_ITEMS_START + 158 );
our $FLAG_HIDDEN_ITEM_POKEMON_TOWER_7F_SOOTHE_BELL =
  ( $FLAG_HIDDEN_ITEMS_START + 159 );
our $FLAG_HIDDEN_ITEM_NAVEL_ROCK_SUMMIT_SACRED_ASH =
  ( $FLAG_HIDDEN_ITEMS_START + 160 );
our $FLAG_HIDDEN_ITEM_TWO_ISLAND_CAPE_BRINK_PP_MAX =
  ( $FLAG_HIDDEN_ITEMS_START + 161 );
our $FLAG_HIDDEN_ITEM_MT_EMBER_EXTERIOR_ULTRA_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 162 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_DUNSPARCE_TUNNEL_NUGGET =
  ( $FLAG_HIDDEN_ITEMS_START + 163 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_PP_UP = ( $FLAG_HIDDEN_ITEMS_START + 164 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BOND_BRIDGE_MAX_REPEL =
  ( $FLAG_HIDDEN_ITEMS_START + 165 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BOND_BRIDGE_PEARL =
  ( $FLAG_HIDDEN_ITEMS_START + 166 );
our $FLAG_HIDDEN_ITEM_THREE_ISLAND_BOND_BRIDGE_STARDUST =
  ( $FLAG_HIDDEN_ITEMS_START + 167 );
our $FLAG_HIDDEN_ITEM_FOUR_ISLAND_PEARL = ( $FLAG_HIDDEN_ITEMS_START + 168 );
our $FLAG_HIDDEN_ITEM_FOUR_ISLAND_ULTRA_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 169 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_MEMORIAL_PILLAR_BIG_PEARL =
  ( $FLAG_HIDDEN_ITEMS_START + 170 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_MEMORIAL_PILLAR_RAZZ_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 171 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_MEMORIAL_PILLAR_SITRUS_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 172 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_MEMORIAL_PILLAR_BLUK_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 173 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_RESORT_GORGEOUS_NEST_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 174 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_RESORT_GORGEOUS_STARDUST =
  ( $FLAG_HIDDEN_ITEMS_START + 175 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_RESORT_GORGEOUS_STAR_PIECE =
  ( $FLAG_HIDDEN_ITEMS_START + 176 );
our $FLAG_HIDDEN_ITEM_FIVE_ISLAND_RESORT_GORGEOUS_STARDUST_2 =
  ( $FLAG_HIDDEN_ITEMS_START + 177 );
our $FLAG_HIDDEN_ITEM_SIX_ISLAND_OUTCAST_ISLAND_STAR_PIECE =
  ( $FLAG_HIDDEN_ITEMS_START + 178 );
our $FLAG_HIDDEN_ITEM_SIX_ISLAND_OUTCAST_ISLAND_NET_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 179 );
our $FLAG_HIDDEN_ITEM_SIX_ISLAND_GREEN_PATH_ULTRA_BALL =
  ( $FLAG_HIDDEN_ITEMS_START + 180 );
our $FLAG_HIDDEN_ITEM_SIX_ISLAND_WATER_PATH_ASPEAR_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 181 );
our $FLAG_HIDDEN_ITEM_SIX_ISLAND_WATER_PATH_ORAN_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 182 );
our $FLAG_HIDDEN_ITEM_SIX_ISLAND_WATER_PATH_PINAP_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 183 );
our $FLAG_HIDDEN_ITEM_SIX_ISLAND_LEPPA_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 184 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TRAINER_TOWER_BIG_PEARL =
  ( $FLAG_HIDDEN_ITEMS_START + 185 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TRAINER_TOWER_PEARL =
  ( $FLAG_HIDDEN_ITEMS_START + 186 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TRAINER_TOWER_NANAB_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 187 );
our $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_SEVAULT_CANYON_ENTRANCE_RAWST_BERRY =
  ( $FLAG_HIDDEN_ITEMS_START + 188 );
our $FLAG_HIDDEN_ITEM_VIRIDIAN_CITY_GYM_MACHO_BRACE =
  ( $FLAG_HIDDEN_ITEMS_START + 189 );
our $FLAG_HIDDEN_ITEM_SSANNE_EXTERIOR_LAVA_COOKIE =
  ( $FLAG_HIDDEN_ITEMS_START + 190 );
our $FLAG_UNUSED_0x4A7             = 0x4A7;
our $FLAG_UNUSED_0x4A8             = 0x4A8;
our $FLAG_UNUSED_0x4A9             = 0x4A9;
our $FLAG_UNUSED_0x4AA             = 0x4AA;
our $FLAG_UNUSED_0x4AB             = 0x4AB;
our $FLAG_UNUSED_0x4AC             = 0x4AC;
our $FLAG_UNUSED_0x4AD             = 0x4AD;
our $FLAG_UNUSED_0x4AE             = 0x4AE;
our $FLAG_UNUSED_0x4AF             = 0x4AF;
our $FLAG_DEFEATED_BROCK           = 0x4B0;
our $FLAG_DEFEATED_MISTY           = 0x4B1;
our $FLAG_DEFEATED_LT_SURGE        = 0x4B2;
our $FLAG_DEFEATED_ERIKA           = 0x4B3;
our $FLAG_DEFEATED_KOGA            = 0x4B4;
our $FLAG_DEFEATED_SABRINA         = 0x4B5;
our $FLAG_DEFEATED_BLAINE          = 0x4B6;
our $FLAG_DEFEATED_LEADER_GIOVANNI = 0x4B7;
our $FLAG_DEFEATED_LORELEI         = 0x4B8;
our $FLAG_DEFEATED_BRUNO           = 0x4B9;
our $FLAG_DEFEATED_AGATHA          = 0x4BA;
our $FLAG_DEFEATED_LANCE           = 0x4BB;
our $FLAG_DEFEATED_CHAMP           = 0x4BC;
our $FLAG_0x4BD                    = 0x4BD;
our $FLAG_0x4BE                    = 0x4BE;
our $FLAG_0x4BF                    = 0x4BF;
our $FLAG_0x4C0                    = 0x4C0;
our $FLAG_0x4C1                    = 0x4C1;
our $FLAG_0x4C2                    = 0x4C2;
our $FLAG_0x4C3                    = 0x4C3;
our $FLAG_0x4C4                    = 0x4C4;
our $FLAG_0x4C5                    = 0x4C5;
our $FLAG_0x4C6                    = 0x4C6;
our $FLAG_0x4C7                    = 0x4C7;
our $FLAG_0x4C8                    = 0x4C8;
our $FLAG_0x4C9                    = 0x4C9;
our $FLAG_0x4CA                    = 0x4CA;
our $FLAG_0x4CB                    = 0x4CB;
our $FLAG_0x4CC                    = 0x4CC;
our $FLAG_0x4CD                    = 0x4CD;
our $FLAG_0x4CE                    = 0x4CE;
our $FLAG_0x4CF                    = 0x4CF;
our $FLAG_0x4D0                    = 0x4D0;
our $FLAG_0x4D1                    = 0x4D1;
our $FLAG_0x4D2                    = 0x4D2;
our $FLAG_0x4D3                    = 0x4D3;
our $FLAG_0x4D4                    = 0x4D4;
our $FLAG_0x4D5                    = 0x4D5;
our $FLAG_0x4D6                    = 0x4D6;
our $FLAG_0x4D7                    = 0x4D7;
our $FLAG_0x4D8                    = 0x4D8;
our $FLAG_0x4D9                    = 0x4D9;
our $FLAG_0x4DA                    = 0x4DA;
our $FLAG_0x4DB                    = 0x4DB;
our $FLAG_0x4DC                    = 0x4DC;
our $FLAG_0x4DD                    = 0x4DD;
our $FLAG_0x4DE                    = 0x4DE;
our $FLAG_0x4DF                    = 0x4DF;
our $FLAG_0x4E0                    = 0x4E0;
our $FLAG_0x4E1                    = 0x4E1;
our $FLAG_0x4E2                    = 0x4E2;
our $FLAG_0x4E3                    = 0x4E3;
our $FLAG_0x4E4                    = 0x4E4;
our $FLAG_0x4E5                    = 0x4E5;
our $FLAG_0x4E6                    = 0x4E6;
our $FLAG_0x4E7                    = 0x4E7;
our $FLAG_0x4E8                    = 0x4E8;
our $FLAG_0x4E9                    = 0x4E9;
our $FLAG_0x4EA                    = 0x4EA;
our $FLAG_0x4EB                    = 0x4EB;
our $FLAG_0x4EC                    = 0x4EC;
our $FLAG_0x4ED                    = 0x4ED;
our $FLAG_0x4EE                    = 0x4EE;
our $FLAG_0x4EF                    = 0x4EF;
our $FLAG_0x4F0                    = 0x4F0;
our $FLAG_0x4F1                    = 0x4F1;
our $FLAG_0x4F2                    = 0x4F2;
our $FLAG_0x4F3                    = 0x4F3;
our $FLAG_0x4F4                    = 0x4F4;
our $FLAG_0x4F5                    = 0x4F5;
our $FLAG_0x4F6                    = 0x4F6;
our $FLAG_0x4F7                    = 0x4F7;
our $FLAG_0x4F8                    = 0x4F8;
our $FLAG_0x4F9                    = 0x4F9;
our $FLAG_0x4FA                    = 0x4FA;
our $FLAG_0x4FB                    = 0x4FB;
our $FLAG_0x4FC                    = 0x4FC;
our $FLAG_0x4FD                    = 0x4FD;
our $FLAG_0x4FE                    = 0x4FE;
our $FLAG_0x4FF                    = 0x4FF;
our $TRAINER_FLAGS_START           = ( $FLAG_0x4FF + 1 );
our $MAX_TRAINERS_COUNT = 768;
our $TRAINER_FLAGS_END    = ( $TRAINER_FLAGS_START + $MAX_TRAINERS_COUNT - 1 );
our $SYS_FLAGS            = ( $TRAINER_FLAGS_END + 1 );
our $FLAG_SYS_SAFARI_MODE = ( $SYS_FLAGS + 0x0 );
our $FLAG_SYS_VS_SEEKER_CHARGING  = ( $SYS_FLAGS + 0x1 );
our $FLAG_SYS_CRUISE_MODE         = ( $SYS_FLAGS + 0x2 );
our $FLAG_SYS_WHITE_FLUTE_ACTIVE  = ( $SYS_FLAGS + 0x3 );
our $FLAG_SYS_BLACK_FLUTE_ACTIVE  = ( $SYS_FLAGS + 0x4 );
our $FLAG_SYS_USE_STRENGTH        = ( $SYS_FLAGS + 0x5 );
our $FLAG_SYS_FLASH_ACTIVE        = ( $SYS_FLAGS + 0x6 );
our $FLAG_SYS_SPECIAL_WILD_BATTLE = ( $SYS_FLAGS + 0x7 );
our $FLAG_SYS_QL_DEPARTED         = ( $SYS_FLAGS + 0x8 );
our $FLAG_0x809                   = ( $SYS_FLAGS + 0x9 );
our $FLAG_0x80A                   = ( $SYS_FLAGS + 0xA );
our $FLAG_0x80B                   = ( $SYS_FLAGS + 0xB );
our $FLAG_0x80C                   = ( $SYS_FLAGS + 0xC );
our $FLAG_0x80D                   = ( $SYS_FLAGS + 0xD );
our $FLAG_0x80E                   = ( $SYS_FLAGS + 0xE );
our $FLAG_0x80F                   = ( $SYS_FLAGS + 0xF );
our $FLAG_0x810                   = ( $SYS_FLAGS + 0x10 );
our $FLAG_0x811                   = ( $SYS_FLAGS + 0x11 );
our $FLAG_0x812                   = ( $SYS_FLAGS + 0x12 );
our $FLAG_0x813                   = ( $SYS_FLAGS + 0x13 );
our $FLAG_0x814                   = ( $SYS_FLAGS + 0x14 );
our $FLAG_0x815                   = ( $SYS_FLAGS + 0x15 );
our $FLAG_0x816                   = ( $SYS_FLAGS + 0x16 );
our $FLAG_0x817                   = ( $SYS_FLAGS + 0x17 );
our $FLAG_0x818                   = ( $SYS_FLAGS + 0x18 );
our $FLAG_0x819                   = ( $SYS_FLAGS + 0x19 );
our $FLAG_0x81A                   = ( $SYS_FLAGS + 0x1A );
our $FLAG_0x81B                   = ( $SYS_FLAGS + 0x1B );
our $FLAG_0x81C                   = ( $SYS_FLAGS + 0x1C );
our $FLAG_0x81D                   = ( $SYS_FLAGS + 0x1D );
our $FLAG_0x81E                   = ( $SYS_FLAGS + 0x1E );
our $FLAG_0x81F                   = ( $SYS_FLAGS + 0x1F );
our $PERMA_SYS_FLAGS_START        = ( $FLAG_0x81F + 1 );
our $FLAG_BADGE01_GET             = ( $SYS_FLAGS + 0x20 );
our $FLAG_BADGE02_GET             = ( $SYS_FLAGS + 0x21 );
our $FLAG_BADGE03_GET             = ( $SYS_FLAGS + 0x22 );
our $FLAG_BADGE04_GET             = ( $SYS_FLAGS + 0x23 );
our $FLAG_BADGE05_GET             = ( $SYS_FLAGS + 0x24 );
our $FLAG_BADGE06_GET             = ( $SYS_FLAGS + 0x25 );
our $FLAG_BADGE07_GET             = ( $SYS_FLAGS + 0x26 );
our $FLAG_BADGE08_GET             = ( $SYS_FLAGS + 0x27 );
our $NUM_BADGES           = ( 1 + $FLAG_BADGE08_GET - $FLAG_BADGE01_GET );
our $FLAG_SYS_POKEMON_GET = ( $SYS_FLAGS + 0x28 );
our $FLAG_SYS_POKEDEX_GET = ( $SYS_FLAGS + 0x29 );
our $FLAG_0x82A           = ( $SYS_FLAGS + 0x2A );
our $FLAG_0x82B           = ( $SYS_FLAGS + 0x2B );
our $FLAG_SYS_GAME_CLEAR  = ( $SYS_FLAGS + 0x2C );
our $FLAG_SYS_SET_TRAINER_CARD_PROFILE                  = ( $SYS_FLAGS + 0x2D );
our $FLAG_0x82E                                         = ( $SYS_FLAGS + 0x2E );
our $FLAG_SYS_B_DASH                                    = ( $SYS_FLAGS + 0x2F );
our $FLAG_SYS_ON_CYCLING_ROAD                           = ( $SYS_FLAGS + 0x30 );
our $FLAG_0x831                                         = ( $SYS_FLAGS + 0x31 );
our $FLAG_0x832                                         = ( $SYS_FLAGS + 0x32 );
our $FLAG_0x833                                         = ( $SYS_FLAGS + 0x33 );
our $FLAG_SYS_NOT_SOMEONES_PC                           = ( $SYS_FLAGS + 0x34 );
our $FLAG_0x835                                         = ( $SYS_FLAGS + 0x35 );
our $FLAG_0x836                                         = ( $SYS_FLAGS + 0x36 );
our $FLAG_SYS_RESET_RTC_ENABLE                          = ( $SYS_FLAGS + 0x37 );
our $FLAG_0x838                                         = ( $SYS_FLAGS + 0x38 );
our $FLAG_SYS_MYSTERY_GIFT_ENABLED                      = ( $SYS_FLAGS + 0x39 );
our $FLAG_0x83A                                         = ( $SYS_FLAGS + 0x3A );
our $FLAG_SYS_RIBBON_GET                                = ( $SYS_FLAGS + 0x3B );
our $FLAG_SYS_SAW_HELP_SYSTEM_INTRO                     = ( $SYS_FLAGS + 0x3C );
our $FLAG_0x83D                                         = ( $SYS_FLAGS + 0x3D );
our $FLAG_OPENED_START_MENU                             = ( $SYS_FLAGS + 0x3E );
our $FLAG_0x83F                                         = ( $SYS_FLAGS + 0x3F );
our $FLAG_SYS_NATIONAL_DEX                              = ( $SYS_FLAGS + 0x40 );
our $FLAG_SYS_PC_STORAGE_DISABLED                       = ( $SYS_FLAGS + 0x41 );
our $FLAG_SYS_INFORMED_OF_LOCAL_WIRELESS_PLAYER         = ( $SYS_FLAGS + 0x42 );
our $FLAG_SHOWN_BOX_WAS_FULL_MESSAGE                    = ( $SYS_FLAGS + 0x43 );
our $FLAG_SYS_CAN_LINK_WITH_RS                          = ( $SYS_FLAGS + 0x44 );
our $FLAG_SYS_SEVII_MAP_123                             = ( $SYS_FLAGS + 0x45 );
our $FLAG_SYS_SEVII_MAP_4567                            = ( $SYS_FLAGS + 0x46 );
our $FLAG_SYS_GOT_BERRY_POUCH                           = ( $SYS_FLAGS + 0x47 );
our $FLAG_SYS_DEOXYS_AWAKENED                           = ( $SYS_FLAGS + 0x48 );
our $FLAG_SYS_UNLOCKED_TANOBY_RUINS                     = ( $SYS_FLAGS + 0x49 );
our $FLAG_ENABLE_SHIP_NAVEL_ROCK                        = ( $SYS_FLAGS + 0x4A );
our $FLAG_ENABLE_SHIP_BIRTH_ISLAND                      = ( $SYS_FLAGS + 0x4B );
our $FLAG_WORLD_MAP_PALLET_TOWN                         = ( $SYS_FLAGS + 0x90 );
our $FLAG_WORLD_MAP_VIRIDIAN_CITY                       = ( $SYS_FLAGS + 0x91 );
our $FLAG_WORLD_MAP_PEWTER_CITY                         = ( $SYS_FLAGS + 0x92 );
our $FLAG_WORLD_MAP_CERULEAN_CITY                       = ( $SYS_FLAGS + 0x93 );
our $FLAG_WORLD_MAP_LAVENDER_TOWN                       = ( $SYS_FLAGS + 0x94 );
our $FLAG_WORLD_MAP_VERMILION_CITY                      = ( $SYS_FLAGS + 0x95 );
our $FLAG_WORLD_MAP_CELADON_CITY                        = ( $SYS_FLAGS + 0x96 );
our $FLAG_WORLD_MAP_FUCHSIA_CITY                        = ( $SYS_FLAGS + 0x97 );
our $FLAG_WORLD_MAP_CINNABAR_ISLAND                     = ( $SYS_FLAGS + 0x98 );
our $FLAG_WORLD_MAP_INDIGO_PLATEAU_EXTERIOR             = ( $SYS_FLAGS + 0x99 );
our $FLAG_WORLD_MAP_SAFFRON_CITY                        = ( $SYS_FLAGS + 0x9A );
our $FLAG_WORLD_MAP_ONE_ISLAND                          = ( $SYS_FLAGS + 0x9B );
our $FLAG_WORLD_MAP_TWO_ISLAND                          = ( $SYS_FLAGS + 0x9C );
our $FLAG_WORLD_MAP_THREE_ISLAND                        = ( $SYS_FLAGS + 0x9D );
our $FLAG_WORLD_MAP_FOUR_ISLAND                         = ( $SYS_FLAGS + 0x9E );
our $FLAG_WORLD_MAP_FIVE_ISLAND                         = ( $SYS_FLAGS + 0x9F );
our $FLAG_WORLD_MAP_SEVEN_ISLAND                        = ( $SYS_FLAGS + 0xA0 );
our $FLAG_WORLD_MAP_SIX_ISLAND                          = ( $SYS_FLAGS + 0xA1 );
our $FLAG_WORLD_MAP_ROUTE4_POKEMON_CENTER_1F            = ( $SYS_FLAGS + 0xA2 );
our $FLAG_WORLD_MAP_ROUTE10_POKEMON_CENTER_1F           = ( $SYS_FLAGS + 0xA3 );
our $FLAG_WORLD_MAP_VIRIDIAN_FOREST                     = ( $SYS_FLAGS + 0xA4 );
our $FLAG_WORLD_MAP_MT_MOON_1F                          = ( $SYS_FLAGS + 0xA5 );
our $FLAG_WORLD_MAP_SSANNE_EXTERIOR                     = ( $SYS_FLAGS + 0xA6 );
our $FLAG_WORLD_MAP_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL = ( $SYS_FLAGS + 0xA7 );
our $FLAG_WORLD_MAP_UNDERGROUND_PATH_EAST_WEST_TUNNEL   = ( $SYS_FLAGS + 0xA8 );
our $FLAG_WORLD_MAP_DIGLETTS_CAVE_B1F                   = ( $SYS_FLAGS + 0xA9 );
our $FLAG_WORLD_MAP_VICTORY_ROAD_1F                     = ( $SYS_FLAGS + 0xAA );
our $FLAG_WORLD_MAP_ROCKET_HIDEOUT_B1F                  = ( $SYS_FLAGS + 0xAB );
our $FLAG_WORLD_MAP_SILPH_CO_1F                         = ( $SYS_FLAGS + 0xAC );
our $FLAG_WORLD_MAP_POKEMON_MANSION_1F                  = ( $SYS_FLAGS + 0xAD );
our $FLAG_WORLD_MAP_SAFARI_ZONE_CENTER                  = ( $SYS_FLAGS + 0xAE );
our $FLAG_WORLD_MAP_POKEMON_LEAGUE_LORELEIS_ROOM        = ( $SYS_FLAGS + 0xAF );
our $FLAG_WORLD_MAP_ROCK_TUNNEL_1F                      = ( $SYS_FLAGS + 0xB0 );
our $FLAG_WORLD_MAP_SEAFOAM_ISLANDS_1F                  = ( $SYS_FLAGS + 0xB1 );
our $FLAG_WORLD_MAP_POKEMON_TOWER_1F                    = ( $SYS_FLAGS + 0xB2 );
our $FLAG_WORLD_MAP_CERULEAN_CAVE_1F                    = ( $SYS_FLAGS + 0xB3 );
our $FLAG_WORLD_MAP_POWER_PLANT                         = ( $SYS_FLAGS + 0xB4 );
our $FLAG_WORLD_MAP_NAVEL_ROCK_EXTERIOR                 = ( $SYS_FLAGS + 0xB5 );
our $FLAG_WORLD_MAP_MT_EMBER_EXTERIOR                   = ( $SYS_FLAGS + 0xB6 );
our $FLAG_WORLD_MAP_THREE_ISLAND_BERRY_FOREST           = ( $SYS_FLAGS + 0xB7 );
our $FLAG_WORLD_MAP_FOUR_ISLAND_ICEFALL_CAVE_ENTRANCE   = ( $SYS_FLAGS + 0xB8 );
our $FLAG_WORLD_MAP_FIVE_ISLAND_ROCKET_WAREHOUSE        = ( $SYS_FLAGS + 0xB9 );
our $FLAG_WORLD_MAP_TRAINER_TOWER_LOBBY                 = ( $SYS_FLAGS + 0xBA );
our $FLAG_WORLD_MAP_SIX_ISLAND_DOTTED_HOLE_1F           = ( $SYS_FLAGS + 0xBB );
our $FLAG_WORLD_MAP_FIVE_ISLAND_LOST_CAVE_ENTRANCE      = ( $SYS_FLAGS + 0xBC );
our $FLAG_WORLD_MAP_SIX_ISLAND_PATTERN_BUSH             = ( $SYS_FLAGS + 0xBD );
our $FLAG_WORLD_MAP_SIX_ISLAND_ALTERING_CAVE            = ( $SYS_FLAGS + 0xBE );
our $FLAG_WORLD_MAP_SEVEN_ISLAND_TANOBY_RUINS_MONEAN_CHAMBER =
  ( $SYS_FLAGS + 0xBF );
our $FLAG_WORLD_MAP_THREE_ISLAND_DUNSPARCE_TUNNEL = ( $SYS_FLAGS + 0xC0 );
our $FLAG_WORLD_MAP_SEVEN_ISLAND_SEVAULT_CANYON_TANOBY_KEY =
  ( $SYS_FLAGS + 0xC1 );
our $FLAG_WORLD_MAP_BIRTH_ISLAND_EXTERIOR = ( $SYS_FLAGS + 0xC2 );
our $FLAG_0x8C3                           = ( $SYS_FLAGS + 0xC3 );
our $FLAG_0x8C4                           = ( $SYS_FLAGS + 0xC4 );
our $FLAG_0x8C5                           = ( $SYS_FLAGS + 0xC5 );
our $FLAG_0x8C6                           = ( $SYS_FLAGS + 0xC6 );
our $FLAG_0x8C7                           = ( $SYS_FLAGS + 0xC7 );
our $FLAG_0x8C8                           = ( $SYS_FLAGS + 0xC8 );
our $FLAG_0x8C9                           = ( $SYS_FLAGS + 0xC9 );
our $FLAG_0x8CA                           = ( $SYS_FLAGS + 0xCA );
our $FLAG_0x8CB                           = ( $SYS_FLAGS + 0xCB );
our $FLAG_0x8CC                           = ( $SYS_FLAGS + 0xCC );
our $FLAG_0x8CD                           = ( $SYS_FLAGS + 0xCD );
our $FLAG_0x8CE                           = ( $SYS_FLAGS + 0xCE );
our $FLAG_0x8CF                           = ( $SYS_FLAGS + 0xCF );
our $FLAG_0x8D0                           = ( $SYS_FLAGS + 0xD0 );
our $FLAG_0x8D1                           = ( $SYS_FLAGS + 0xD1 );
our $FLAG_0x8D2                           = ( $SYS_FLAGS + 0xD2 );
our $FLAG_0x8D3                           = ( $SYS_FLAGS + 0xD3 );
our $FLAG_0x8D4                           = ( $SYS_FLAGS + 0xD4 );
our $FLAG_0x8D5                           = ( $SYS_FLAGS + 0xD5 );
our $FLAG_0x8D6                           = ( $SYS_FLAGS + 0xD6 );
our $FLAG_0x8D7                           = ( $SYS_FLAGS + 0xD7 );
our $FLAG_0x8D8                           = ( $SYS_FLAGS + 0xD8 );
our $FLAG_0x8D9                           = ( $SYS_FLAGS + 0xD9 );
our $FLAG_0x8DA                           = ( $SYS_FLAGS + 0xDA );
our $FLAG_0x8DB                           = ( $SYS_FLAGS + 0xDB );
our $FLAG_0x8DC                           = ( $SYS_FLAGS + 0xDC );
our $FLAG_0x8DD                           = ( $SYS_FLAGS + 0xDD );
our $FLAG_0x8DE                           = ( $SYS_FLAGS + 0xDE );
our $FLAG_0x8DF                           = ( $SYS_FLAGS + 0xDF );
our $FLAG_0x8E0                           = ( $SYS_FLAGS + 0xE0 );
our $FLAG_0x8E1                           = ( $SYS_FLAGS + 0xE1 );
our $FLAG_0x8E2                           = ( $SYS_FLAGS + 0xE2 );
our $FLAG_0x8E3                           = ( $SYS_FLAGS + 0xE3 );
our $FLAG_0x8E4                           = ( $SYS_FLAGS + 0xE4 );
our $FLAG_0x8E5                           = ( $SYS_FLAGS + 0xE5 );
our $FLAG_0x8E6                           = ( $SYS_FLAGS + 0xE6 );
our $FLAG_0x8E7                           = ( $SYS_FLAGS + 0xE7 );
our $FLAG_0x8E8                           = ( $SYS_FLAGS + 0xE8 );
our $FLAG_0x8E9                           = ( $SYS_FLAGS + 0xE9 );
our $FLAG_0x8EA                           = ( $SYS_FLAGS + 0xEA );
our $FLAG_0x8EB                           = ( $SYS_FLAGS + 0xEB );
our $FLAG_0x8EC                           = ( $SYS_FLAGS + 0xEC );
our $FLAG_0x8ED                           = ( $SYS_FLAGS + 0xED );
our $FLAG_0x8EE                           = ( $SYS_FLAGS + 0xEE );
our $FLAG_0x8EF                           = ( $SYS_FLAGS + 0xEF );
our $FLAG_0x8F0                           = ( $SYS_FLAGS + 0xF0 );
our $FLAG_0x8F1                           = ( $SYS_FLAGS + 0xF1 );
our $FLAG_0x8F2                           = ( $SYS_FLAGS + 0xF2 );
our $FLAG_0x8F3                           = ( $SYS_FLAGS + 0xF3 );
our $FLAG_0x8F4                           = ( $SYS_FLAGS + 0xF4 );
our $FLAG_0x8F5                           = ( $SYS_FLAGS + 0xF5 );
our $FLAG_0x8F6                           = ( $SYS_FLAGS + 0xF6 );
our $FLAG_0x8F7                           = ( $SYS_FLAGS + 0xF7 );
our $FLAG_0x8F8                           = ( $SYS_FLAGS + 0xF8 );
our $FLAG_0x8F9                           = ( $SYS_FLAGS + 0xF9 );
our $FLAG_0x8FA                           = ( $SYS_FLAGS + 0xFA );
our $FLAG_0x8FB                           = ( $SYS_FLAGS + 0xFB );
our $FLAG_0x8FC                           = ( $SYS_FLAGS + 0xFC );
our $FLAG_0x8FD                           = ( $SYS_FLAGS + 0xFD );
our $FLAG_0x8FE                           = ( $SYS_FLAGS + 0xFE );
our $FLAG_0x8FF                           = ( $SYS_FLAGS + 0xFF );
our $FLAGS_COUNT                          = ( $FLAG_0x8FF + 1 );
our $SPECIAL_FLAGS_START                  = 0x4000;
our $FLAG_DONT_SHOW_MAP_NAME_POPUP        = ( $SPECIAL_FLAGS_START + 0x0 );
our $FLAG_DONT_TRANSITION_MUSIC           = ( $SPECIAL_FLAGS_START + 0x1 );
our $SPECIAL_FLAGS_END                    = ( $SPECIAL_FLAGS_START + 0x7F );

our @EXPORT_OK = (qw/ $TEMP_FLAGS_START $FLAG_TEMP_1 $FLAG_TEMP_2 $FLAG_TEMP_3 $FLAG_TEMP_4 $FLAG_TEMP_5 $FLAG_TEMP_6 $FLAG_TEMP_7 $FLAG_TEMP_8 $FLAG_TEMP_9 $FLAG_TEMP_A $FLAG_TEMP_B $FLAG_TEMP_C $FLAG_TEMP_D $FLAG_TEMP_E $FLAG_TEMP_F $FLAG_TEMP_10 $FLAG_TEMP_11 $FLAG_TEMP_12 $FLAG_TEMP_13 $FLAG_TEMP_14 $FLAG_TEMP_15 $FLAG_TEMP_16 $FLAG_TEMP_17 $FLAG_TEMP_18 $FLAG_TEMP_19 $FLAG_TEMP_1A $FLAG_TEMP_1B $FLAG_TEMP_1C $FLAG_TEMP_1D $FLAG_TEMP_1E $FLAG_TEMP_1F $TEMP_FLAGS_END $FLAG_0x020 $FLAG_0x021 $FLAG_0x022 $FLAG_0x023 $FLAG_0x024 $FLAG_0x025 $FLAG_0x026 $FLAG_0x027 $FLAG_HIDE_BULBASAUR_BALL $FLAG_HIDE_SQUIRTLE_BALL $FLAG_HIDE_CHARMANDER_BALL $FLAG_HIDE_OAK_IN_HIS_LAB $FLAG_HIDE_OAK_IN_PALLET_TOWN $FLAG_HIDE_RIVAL_IN_LAB $FLAG_HIDE_PEWTER_CITY_GYM_GUIDE $FLAG_HIDE_DOME_FOSSIL $FLAG_HIDE_HELIX_FOSSIL $FLAG_HIDE_NUGGET_BRIDGE_ROCKET $FLAG_HIDE_BILL_CLEFAIRY $FLAG_HIDE_BILL_HUMAN_SEA_COTTAGE $FLAG_HIDE_TOWER_FUJI $FLAG_HIDE_POKEHOUSE_FUJI $FLAG_HIDE_LIFT_KEY $FLAG_HIDE_SILPH_SCOPE $FLAG_HIDE_HIDEOUT_GIOVANNI $FLAG_HIDE_TOWN_MAP $FLAG_HIDE_POKEDEX $FLAG_HIDE_CERULEAN_ROCKET $FLAG_HIDE_CERULEAN_RIVAL $FLAG_HIDE_SS_ANNE_RIVAL $FLAG_HIDE_SAFFRON_ROCKETS $FLAG_HIDE_SAFFRON_CIVILIANS $FLAG_HIDE_SEAFOAM_1F_BOULDER_1 $FLAG_HIDE_SEAFOAM_1F_BOULDER_2 $FLAG_HIDE_SEAFOAM_B1F_BOULDER_1 $FLAG_HIDE_SEAFOAM_B1F_BOULDER_2 $FLAG_HIDE_SEAFOAM_B2F_BOULDER_1 $FLAG_HIDE_SEAFOAM_B2F_BOULDER_2 $FLAG_HIDE_SEAFOAM_B3F_BOULDER_1 $FLAG_HIDE_SEAFOAM_B3F_BOULDER_2 $FLAG_HIDE_SEAFOAM_B3F_BOULDER_3 $FLAG_HIDE_SEAFOAM_B3F_BOULDER_4 $FLAG_HIDE_SEAFOAM_B3F_BOULDER_5 $FLAG_HIDE_SEAFOAM_B3F_BOULDER_6 $FLAG_HIDE_SEAFOAM_B4F_BOULDER_1 $FLAG_HIDE_SEAFOAM_B4F_BOULDER_2 $FLAG_HIDE_SILPH_RIVAL $FLAG_HIDE_ROUTE_22_RIVAL $FLAG_HIDE_PEWTER_MUSEUM_GUIDE $FLAG_HIDE_TOWER_RIVAL $FLAG_HIDE_MOLTRES $FLAG_HIDE_SILPH_ROCKETS $FLAG_HIDE_ROUTE_12_SNORLAX $FLAG_HIDE_VIRIDIAN_GIOVANNI $FLAG_HIDE_OLD_AMBER $FLAG_HIDE_EEVEE_BALL $FLAG_HIDE_VICTORY_ROAD_2F_BOULDER $FLAG_HIDE_VICTORY_ROAD_3F_BOULDER $FLAG_HIDE_OAK_IN_CHAMP_ROOM $FLAG_HIDE_GAME_CORNER_ROCKET $FLAG_HIDE_CERULEAN_CAVE_GUARD $FLAG_HIDE_ZAPDOS $FLAG_HIDE_TOWER_ROCKET_1 $FLAG_HIDE_CELADON_ROCKETS $FLAG_HIDE_DOJO_HITMONLEE_BALL $FLAG_HIDE_DOJO_HITMONCHAN_BALL $FLAG_HIDE_CINNABAR_BILL $FLAG_HIDE_UNION_ROOM_PLAYER_1 $FLAG_HIDE_UNION_ROOM_PLAYER_2 $FLAG_HIDE_UNION_ROOM_PLAYER_3 $FLAG_HIDE_UNION_ROOM_PLAYER_4 $FLAG_HIDE_UNION_ROOM_PLAYER_5 $FLAG_HIDE_UNION_ROOM_PLAYER_6 $FLAG_HIDE_UNION_ROOM_PLAYER_7 $FLAG_HIDE_UNION_ROOM_PLAYER_8 $FLAG_HIDE_CINNABAR_SEAGALLOP $FLAG_HIDE_SAFFRON_FAN_CLUB_BLACKBELT $FLAG_HIDE_SAFFRON_FAN_CLUB_ROCKER $FLAG_HIDE_SAFFRON_FAN_CLUB_WOMAN $FLAG_HIDE_SAFFRON_FAN_CLUB_BEAUTY $FLAG_HIDE_MG_DELIVERYMEN $FLAG_HIDE_ONE_ISLAND_BILL $FLAG_HIDE_ONE_ISLAND_POKECENTER_BILL $FLAG_HIDE_ONE_ISLAND_POKECENTER_CELIO $FLAG_HIDE_TWO_ISLAND_GAME_CORNER_BIKER $FLAG_HIDE_TWO_ISLAND_GAME_CORNER_LOSTELLE $FLAG_HIDE_LOSTELLE_IN_HER_HOME $FLAG_0x077 $FLAG_0x078 $FLAG_HIDE_THREE_ISLAND_BIKERS $FLAG_HIDE_LOSTELLE_IN_BERRY_FOREST/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_HIDE_TWO_ISLAND_WOMAN $FLAG_HIDE_TWO_ISLAND_BEAUTY $FLAG_HIDE_TWO_ISLAND_SUPER_NERD $FLAG_HIDE_THREE_ISLAND_ANTIBIKERS $FLAG_0x07F $FLAG_HIDE_ROUTE_16_SNORLAX $FLAG_HIDE_MEWTWO $FLAG_HIDE_ARTICUNO $FLAG_HIDE_TOWER_ROCKET_2 $FLAG_HIDE_TOWER_ROCKET_3 $FLAG_HIDE_POWER_PLANT_ELECTRODE_1 $FLAG_HIDE_POWER_PLANT_ELECTRODE_2 $FLAG_HIDE_SS_ANNE $FLAG_HIDE_FIVE_ISLAND_ROCKETS $FLAG_HIDE_MT_EMBER_EXTERIOR_ROCKETS $FLAG_HIDE_RUBY $FLAG_HIDE_ICEFALL_CAVE_LORELEI $FLAG_HIDE_LORELEI_IN_HER_HOUSE $FLAG_HIDE_ICEFALL_CAVE_ROCKETS $FLAG_HIDE_RUIN_VALLEY_SCIENTIST $FLAG_HIDE_SAPPHIRE $FLAG_HIDE_DOTTED_HOLE_SCIENTIST $FLAG_HIDE_THREE_ISLAND_LONE_BIKER $FLAG_HIDE_PEWTER_CITY_RUNNING_SHOES_GUY $FLAG_HIDE_LOST_CAVE_SELPHY $FLAG_HIDE_RESORT_GORGEOUS_SELPHY $FLAG_HIDE_RESORT_GORGEOUS_INSIDE_SELPHY $FLAG_HIDE_SELPHYS_BUTLER $FLAG_HIDE_FOUR_ISLAND_RIVAL $FLAG_HIDE_SIX_ISLAND_POKECENTER_RIVAL $FLAG_HIDE_DEOXYS $FLAG_HIDE_BIRTH_ISLAND_METEORITE $FLAG_HIDE_LUGIA $FLAG_HIDE_HO_OH $FLAG_HIDE_POSTGAME_GOSSIPERS $FLAG_HIDE_FAME_CHECKER_ERIKA_JOURNALS $FLAG_HIDE_FAME_CHECKER_KOGA_JOURNAL $FLAG_HIDE_FAME_CHECKER_LT_SURGE_JOURNAL $FLAG_HIDE_VERMILION_CITY_OAKS_AIDE $FLAG_HIDE_CINNABAR_POKECENTER_BILL $FLAG_HIDE_CREDITS_RIVAL $FLAG_HIDE_CREDITS_OAK $FLAG_HIDE_LORELEI_HOUSE_MEOWTH_DOLL $FLAG_HIDE_LORELEI_HOUSE_CHANSEY_DOLL $FLAG_HIDE_LORELEIS_HOUSE_NIDORAN_F_DOLL $FLAG_HIDE_LORELEI_HOUSE_JIGGLYPUFF_DOLL $FLAG_HIDE_LORELEIS_HOUSE_NIDORAN_M_DOLL $FLAG_HIDE_LORELEIS_HOUSE_FEAROW_DOLL $FLAG_HIDE_LORELEIS_HOUSE_PIDGEOT_DOLL $FLAG_HIDE_LORELEIS_HOUSE_LAPRAS_DOLL $FLAG_HIDE_MISC_KANTO_ROCKETS $FLAG_HIDE_SAFFRON_CITY_POKECENTER_SABRINA_JOURNALS $FLAG_0x0AF $FLAG_0x0B0 $FLAG_0x0B1 $FLAG_0x0B2 $FLAG_0x0B3 $FLAG_0x0B4 $FLAG_0x0B5 $FLAG_0x0B6 $FLAG_0x0B7 $FLAG_0x0B8 $FLAG_0x0B9 $FLAG_0x0BA $FLAG_0x0BB $FLAG_0x0BC $FLAG_0x0BD $FLAG_0x0BE $FLAG_0x0BF $FLAG_0x0C0 $FLAG_0x0C1 $FLAG_0x0C2 $FLAG_0x0C3 $FLAG_0x0C4 $FLAG_0x0C5 $FLAG_0x0C6 $FLAG_0x0C7 $FLAG_0x0C8 $FLAG_0x0C9 $FLAG_0x0CA $FLAG_0x0CB $FLAG_0x0CC $FLAG_0x0CD $FLAG_0x0CE $FLAG_0x0CF $FLAG_0x0D0 $FLAG_0x0D1 $FLAG_0x0D2 $FLAG_0x0D3 $FLAG_0x0D4 $FLAG_0x0D5 $FLAG_0x0D6 $FLAG_0x0D7 $FLAG_0x0D8 $FLAG_0x0D9 $FLAG_0x0DA $FLAG_0x0DB $FLAG_0x0DC $FLAG_0x0DD $FLAG_0x0DE $FLAG_0x0DF $FLAG_0x0E0 $FLAG_0x0E1 $FLAG_0x0E2 $FLAG_0x0E3 $FLAG_0x0E4 $FLAG_0x0E5 $FLAG_0x0E6 $FLAG_0x0E7 $FLAG_0x0E8 $FLAG_0x0E9 $FLAG_0x0EA $FLAG_0x0EB $FLAG_0x0EC $FLAG_0x0ED $FLAG_0x0EE $FLAG_0x0EF $FLAG_0x0F0 $FLAG_0x0F1 $FLAG_0x0F2 $FLAG_0x0F3 $FLAG_0x0F4 $FLAG_0x0F5 $FLAG_0x0F6 $FLAG_0x0F7 $FLAG_0x0F8 $FLAG_0x0F9 $FLAG_0x0FA $FLAG_0x0FB $FLAG_0x0FC $FLAG_0x0FD $FLAG_0x0FE $FLAG_0x0FF $FLAG_0x100 $FLAG_0x101 $FLAG_0x102 $FLAG_0x103 $FLAG_0x104 $FLAG_0x105 $FLAG_0x106 $FLAG_0x107 $FLAG_0x108 $FLAG_0x109 $FLAG_0x10A $FLAG_0x10B $FLAG_0x10C $FLAG_0x10D $FLAG_0x10E $FLAG_0x10F $FLAG_0x110 $FLAG_0x111 $FLAG_0x112 $FLAG_0x113 $FLAG_0x114 $FLAG_0x115 $FLAG_0x116 $FLAG_0x117 $FLAG_0x118 $FLAG_0x119 $FLAG_0x11A $FLAG_0x11B $FLAG_0x11C $FLAG_0x11D/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_0x11E $FLAG_0x11F $FLAG_0x120 $FLAG_0x121 $FLAG_0x122 $FLAG_0x123 $FLAG_0x124 $FLAG_0x125 $FLAG_0x126 $FLAG_0x127 $FLAG_0x128 $FLAG_0x129 $FLAG_0x12A $FLAG_0x12B $FLAG_0x12C $FLAG_0x12D $FLAG_0x12E $FLAG_0x12F $FLAG_0x130 $FLAG_0x131 $FLAG_0x132 $FLAG_0x133 $FLAG_0x134 $FLAG_0x135 $FLAG_0x136 $FLAG_0x137 $FLAG_0x138 $FLAG_0x139 $FLAG_0x13A $FLAG_0x13B $FLAG_0x13C $FLAG_0x13D $FLAG_0x13E $FLAG_0x13F $FLAG_0x140 $FLAG_0x141 $FLAG_0x142 $FLAG_0x143 $FLAG_0x144 $FLAG_0x145 $FLAG_0x146 $FLAG_0x147 $FLAG_0x148 $FLAG_0x149 $FLAG_0x14A $FLAG_0x14B $FLAG_0x14C $FLAG_0x14D $FLAG_0x14E $FLAG_0x14F $FLAG_0x150 $FLAG_0x151 $FLAG_0x152 $FLAG_0x153 $FLAG_HIDE_ROUTE2_ETHER $FLAG_HIDE_ROUTE2_PARALYZE_HEAL $FLAG_HIDE_VIRIDIAN_FOREST_POKE_BALL $FLAG_HIDE_VIRIDIAN_FOREST_ANTIDOTE $FLAG_HIDE_VIRIDIAN_FOREST_POTION $FLAG_HIDE_MT_MOON_1F_PARALYZE_HEAL $FLAG_HIDE_MT_MOON_1F_TM09 $FLAG_HIDE_MT_MOON_1F_POTION $FLAG_HIDE_MT_MOON_1F_RARE_CANDY $FLAG_HIDE_MT_MOON_1F_ESCAPE_ROPE $FLAG_HIDE_MT_MOON_1F_MOON_STONE $FLAG_HIDE_MT_MOON_B2F_STAR_PIECE $FLAG_HIDE_MT_MOON_B2F_TM46 $FLAG_HIDE_ROUTE4_TM05 $FLAG_HIDE_ROUTE24_TM45 $FLAG_HIDE_ROUTE25_TM43 $FLAG_HIDE_SSANNE_1F_ROOM2_TM31 $FLAG_HIDE_SSANNE_2F_ROOM2_STARDUST $FLAG_HIDE_SSANNE_2F_ROOM4_X_ATTACK $FLAG_HIDE_SSANNE_B1F_ROOM2_TM44 $FLAG_HIDE_SSANNE_B1F_ROOM3_ETHER $FLAG_HIDE_SSANNE_B1F_ROOM5_SUPER_POTION $FLAG_HIDE_SSANNE_KITCHEN_GREAT_BALL $FLAG_HIDE_ROUTE9_TM40 $FLAG_HIDE_ROCKET_HIDEOUT_B1F_ESCAPE_ROPE $FLAG_HIDE_ROCKET_HIDEOUT_B1F_HYPER_POTION $FLAG_HIDE_ROCKET_HIDEOUT_B2F_X_SPEED $FLAG_HIDE_ROCKET_HIDEOUT_B2F_MOON_STONE $FLAG_HIDE_ROCKET_HIDEOUT_B2F_TM12 $FLAG_HIDE_ROCKET_HIDEOUT_B2F_SUPER_POTION $FLAG_HIDE_ROCKET_HIDEOUT_B3F_RARE_CANDY $FLAG_HIDE_ROCKET_HIDEOUT_B3F_TM21 $FLAG_HIDE_ROCKET_HIDEOUT_B4F_TM49 $FLAG_HIDE_ROCKET_HIDEOUT_B4F_MAX_ETHER $FLAG_HIDE_ROCKET_HIDEOUT_B4F_CALCIUM $FLAG_HIDE_POKEMON_TOWER_3F_ESCAPE_ROPE $FLAG_HIDE_POKEMON_TOWER_4F_ELIXIR $FLAG_HIDE_POKEMON_TOWER_4F_AWAKENING $FLAG_HIDE_POKEMON_TOWER_4F_GREAT_BALL $FLAG_HIDE_POKEMON_TOWER_5F_NUGGET $FLAG_HIDE_POKEMON_TOWER_6F_RARE_CANDY $FLAG_HIDE_POKEMON_TOWER_6F_X_ACCURACY $FLAG_HIDE_ROUTE12_TM48 $FLAG_HIDE_ROUTE12_IRON $FLAG_HIDE_ROUTE15_TM18 $FLAG_HIDE_SAFARI_ZONE_CENTER_NUGGET $FLAG_HIDE_SAFARI_ZONE_EAST_MAX_POTION $FLAG_HIDE_SAFARI_ZONE_EAST_FULL_RESTORE $FLAG_HIDE_SAFARI_ZONE_EAST_TM11 $FLAG_HIDE_SAFARI_ZONE_EAST_LEAF_STONE $FLAG_HIDE_SAFARI_ZONE_NORTH_PROTEIN $FLAG_HIDE_SAFARI_ZONE_NORTH_TM47 $FLAG_HIDE_SAFARI_ZONE_WEST_TM32 $FLAG_HIDE_SAFARI_ZONE_WEST_GOLD_TEETH $FLAG_HIDE_SAFARI_ZONE_WEST_MAX_POTION $FLAG_HIDE_SAFARI_ZONE_WEST_MAX_REVIVE $FLAG_HIDE_SILPH_CO_3F_HYPER_POTION $FLAG_HIDE_SILPH_CO_4F_MAX_REVIVE $FLAG_HIDE_SILPH_CO_4F_ESCAPE_ROPE $FLAG_HIDE_SILPH_CO_4F_FULL_HEAL $FLAG_HIDE_SILPH_CO_5F_PROTEIN $FLAG_HIDE_SILPH_CO_5F_TM01 $FLAG_HIDE_SILPH_CO_5F_CARD_KEY $FLAG_HIDE_SILPH_CO_6F_HP_UP $FLAG_HIDE_SILPH_CO_6F_X_SPECIAL $FLAG_HIDE_SILPH_CO_7F_CALCIUM $FLAG_HIDE_SILPH_CO_7F_TM08 $FLAG_HIDE_SILPH_CO_10F_CARBOS/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_HIDE_SILPH_CO_10F_ULTRA_BALL $FLAG_HIDE_SILPH_CO_10F_RARE_CANDY $FLAG_HIDE_POWER_PLANT_MAX_POTION $FLAG_HIDE_POWER_PLANT_TM17 $FLAG_HIDE_POWER_PLANT_TM25 $FLAG_HIDE_POWER_PLANT_THUNDER_STONE $FLAG_HIDE_POWER_PLANT_ELIXIR $FLAG_HIDE_POKEMON_MANSION_1F_CARBOS $FLAG_HIDE_POKEMON_MANSION_1F_ESCAPE_ROPE $FLAG_HIDE_POKEMON_MANSION_2F_CALCIUM $FLAG_HIDE_POKEMON_MANSION_3F_MAX_POTION $FLAG_HIDE_POKEMON_MANSION_3F_IRON $FLAG_HIDE_POKEMON_MANSION_B1F_TM14 $FLAG_HIDE_POKEMON_MANSION_B1F_FULL_RESTORE $FLAG_0x1A6 $FLAG_HIDE_POKEMON_MANSION_B1F_TM22 $FLAG_HIDE_POKEMON_MANSION_B1F_SECRET_KEY $FLAG_HIDE_VICTORY_ROAD_1F_RARE_CANDY $FLAG_HIDE_VICTORY_ROAD_1F_TM02 $FLAG_HIDE_VICTORY_ROAD_2F_GUARD_SPEC $FLAG_HIDE_VICTORY_ROAD_2F_TM07 $FLAG_HIDE_VICTORY_ROAD_2F_FULL_HEAL $FLAG_HIDE_VICTORY_ROAD_2F_TM37 $FLAG_HIDE_VICTORY_ROAD_3F_MAX_REVIVE $FLAG_HIDE_VICTORY_ROAD_3F_TM50 $FLAG_HIDE_CERULEAN_CAVE_1F_MAX_ELIXIR $FLAG_HIDE_CERULEAN_CAVE_1F_NUGGET $FLAG_HIDE_CERULEAN_CAVE_1F_FULL_RESTORE $FLAG_HIDE_CERULEAN_CAVE_2F_FULL_RESTORE $FLAG_HIDE_CERULEAN_CAVE_2F_PP_UP $FLAG_HIDE_CERULEAN_CAVE_2F_ULTRA_BALL $FLAG_HIDE_CERULEAN_CAVE_B1F_MAX_REVIVE $FLAG_HIDE_CERULEAN_CAVE_B1F_ULTRA_BALL $FLAG_HIDE_FUCHSIA_CITY_WARDENS_HOUSE_RARE_CANDY $FLAG_HIDE_TWO_ISLAND_REVIVE $FLAG_HIDE_THREE_ISLAND_ZINC $FLAG_0x1BC $FLAG_0x1BD $FLAG_HIDE_VIRIDIAN_FOREST_POTION_2 $FLAG_HIDE_MT_MOON_B2F_REVIVE $FLAG_HIDE_MT_MOON_B2F_ANTIDOTE $FLAG_HIDE_ROUTE11_X_DEFEND $FLAG_HIDE_ROUTE9_BURN_HEAL $FLAG_HIDE_ROCK_TUNNEL_1F_REPEL $FLAG_HIDE_ROCK_TUNNEL_1F_PEARL $FLAG_HIDE_ROCK_TUNNEL_1F_ESCAPE_ROPE $FLAG_HIDE_ROCK_TUNNEL_B1F_REVIVE $FLAG_HIDE_ROCK_TUNNEL_B1F_MAX_ETHER $FLAG_HIDE_SILPH_CO_8F_IRON $FLAG_HIDE_SILPH_CO_11F_ZINC $FLAG_HIDE_POKEMON_MANSION_1F_PROTEIN $FLAG_HIDE_POKEMON_MANSION_2F_ZINC $FLAG_HIDE_POKEMON_MANSION_2F_HP_UP $FLAG_HIDE_VIRIDIAN_CITY_POTION $FLAG_HIDE_ROUTE11_GREAT_BALL $FLAG_HIDE_ROUTE11_AWAKENING $FLAG_HIDE_POKEMON_TOWER_5F_CLEANSE_TAG $FLAG_HIDE_CELADON_CITY_ETHER $FLAG_HIDE_ROCKET_HIDEOUT_B3F_BLACK_GLASSES $FLAG_HIDE_SAFARI_ZONE_NORTH_QUICK_CLAW $FLAG_HIDE_SEAFOAM_ISLANDS_1F_ICE_HEAL $FLAG_HIDE_SEAFOAM_ISLANDS_B1F_WATER_STONE $FLAG_HIDE_SEAFOAM_ISLANDS_B1F_REVIVE $FLAG_HIDE_SEAFOAM_ISLANDS_B2F_BIG_PEARL $FLAG_HIDE_SEAFOAM_ISLANDS_B4F_ULTRA_BALL $FLAG_HIDE_FOUR_ISLAND_STAR_PIECE $FLAG_HIDE_FOUR_ISLAND_STARDUST $FLAG_HIDE_ONE_ISLAND_KINDLE_ROAD_ETHER $FLAG_HIDE_ONE_ISLAND_KINDLE_ROAD_MAX_REPEL $FLAG_HIDE_ONE_ISLAND_KINDLE_ROAD_CARBOS $FLAG_HIDE_FIVE_ISLAND_MEADOW_MAX_POTION $FLAG_HIDE_FIVE_ISLAND_MEADOW_PP_UP $FLAG_HIDE_FIVE_ISLAND_MEMORIAL_PILLAR_METAL_COAT $FLAG_HIDE_SIX_ISLAND_OUTCAST_ISLAND_PP_UP $FLAG_HIDE_SIX_ISLAND_WATER_PATH_ELIXIR $FLAG_HIDE_SIX_ISLAND_WATER_PATH_DRAGON_SCALE $FLAG_HIDE_SIX_ISLAND_RUIN_VALLEY_FULL_RESTORE $FLAG_HIDE_SIX_ISLAND_RUIN_VALLEY_HP_UP $FLAG_HIDE_SIX_ISLAND_RUIN_VALLEY_SUN_STONE $FLAG_HIDE_SEVEN_ISLAND_SEVAULT_CANYON_KINGS_ROCK $FLAG_HIDE_SEVEN_ISLAND_SEVAULT_CANYON_MAX_ELIXIR/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_HIDE_SEVEN_ISLAND_SEVAULT_CANYON_NUGGET $FLAG_HIDE_THREE_ISLAND_BERRY_FOREST_MAX_ETHER $FLAG_HIDE_THREE_ISLAND_BERRY_FOREST_FULL_HEAL $FLAG_HIDE_THREE_ISLAND_BERRY_FOREST_MAX_ELIXIR $FLAG_HIDE_MT_EMBER_EXTERIOR_ULTRA_BALL $FLAG_HIDE_MT_EMBER_EXTERIOR_FIRE_STONE $FLAG_HIDE_MT_EMBER_EXTERIOR_DIRE_HIT $FLAG_HIDE_FOUR_ISLAND_ICEFALL_CAVE_1F_ULTRA_BALL $FLAG_HIDE_FOUR_ISLAND_ICEFALL_CAVE_1F_HM07 $FLAG_HIDE_FOUR_ISLAND_ICEFALL_CAVE_B1F_FULL_RESTORE $FLAG_HIDE_FOUR_ISLAND_ICEFALL_CAVE_B1F_NEVER_MELT_ICE $FLAG_HIDE_FIVE_ISLAND_ROCKET_WAREHOUSE_BIG_PEARL $FLAG_HIDE_FIVE_ISLAND_ROCKET_WAREHOUSE_TM36 $FLAG_HIDE_FIVE_ISLAND_ROCKET_WAREHOUSE_PEARL $FLAG_HIDE_FIVE_ISLAND_ROCKET_WAREHOUSE_UP_GRADE $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM10_SILK_SCARF $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM11_LAX_INCENSE $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM12_SEA_INCENSE $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM13_MAX_REVIVE $FLAG_HIDE_FIVE_ISLAND_LOST_CAVE_ROOM14_RARE_CANDY $FLAG_HIDE_SEVEN_ISLAND_SEVAULT_CANYON_HOUSE_LUCKY_PUNCH $FLAG_HIDE_SILPH_CO_4F_TM41 $FLAG_0x1FF $FLAG_0x200 $FLAG_0x201 $FLAG_0x202 $FLAG_0x203 $FLAG_0x204 $FLAG_0x205 $FLAG_0x206 $FLAG_0x207 $FLAG_0x208 $FLAG_0x209 $FLAG_0x20A $FLAG_0x20B $FLAG_0x20C $FLAG_0x20D $FLAG_0x20E $FLAG_0x20F $FLAG_0x210 $FLAG_0x211 $FLAG_0x212 $FLAG_0x213 $FLAG_0x214 $FLAG_0x215 $FLAG_0x216 $FLAG_0x217 $FLAG_0x218 $FLAG_0x219 $FLAG_0x21A $FLAG_0x21B $FLAG_0x21C $FLAG_0x21D $FLAG_0x21E $FLAG_0x21F $FLAG_0x220 $FLAG_0x221 $FLAG_0x222 $FLAG_0x223 $FLAG_0x224 $FLAG_0x225 $FLAG_0x226 $FLAG_0x227 $FLAG_0x228 $FLAG_0x229 $FLAG_0x22A $FLAG_0x22B $FLAG_0x22C $FLAG_0x22D $FLAG_0x22E $FLAG_0x22F $STORY_FLAGS_START $FLAG_GOT_POTION_ON_ROUTE_1 $FLAG_GOT_TM34_FROM_SURGE $FLAG_GOT_FOSSIL_FROM_MT_MOON $FLAG_HELPED_BILL_IN_SEA_COTTAGE $FLAG_GOT_SS_TICKET $FLAG_GOT_SS_TICKET_DUP $FLAG_GOT_TM42_AT_MEMORIAL_PILLAR $FLAG_GOT_HM01 $FLAG_GOT_HM02 $FLAG_GOT_HM03 $FLAG_GOT_HM04 $FLAG_GOT_HM05 $FLAG_RESCUED_MR_FUJI $FLAG_GOT_POKE_FLUTE $FLAG_0x23E $FLAG_GOT_TM28_FROM_ROCKET $FLAG_GOT_OLD_ROD $FLAG_GOT_BIKE_VOUCHER $FLAG_0x242 $FLAG_GOT_COIN_CASE $FLAG_GOT_GOOD_ROD $FLAG_GOT_TM29_FROM_MR_PSYCHIC $FLAG_GOT_LAPRAS_FROM_SILPH $FLAG_GOT_POKEBALLS_FROM_OAK_AFTER_22_RIVAL $FLAG_DID_MIMIEN_TRADE $FLAG_BOUGHT_MAGIKARP $FLAG_DID_ZYNX_TRADE $FLAG_DID_MS_NIDO_TRADE $FLAG_0x24C $FLAG_DID_CH_DING_TRADE $FLAG_GOT_TM38_FROM_BLAINE $FLAG_OAK_SKIP_22_RIVAL_CHECK $FLAG_GOT_MASTER_BALL_FROM_SILPH $FLAG_DID_NINA_TRADE $FLAG_GOT_ITEMFINDER $FLAG_WOKE_UP_ROUTE_12_SNORLAX $FLAG_GOT_TM39_FROM_BROCK $FLAG_GOT_SUPER_ROD $FLAG_GOT_EXP_SHARE_FROM_OAKS_AIDE $FLAG_DID_MARC_TRADE $FLAG_BEAT_RIVAL_IN_OAKS_LAB $FLAG_GOT_TM06_FROM_KOGA $FLAG_0x25A $FLAG_GOT_TM27 $FLAG_0x25C $FLAG_0x25D $FLAG_GOT_OLD_AMBER $FLAG_0x25F $FLAG_0x260 $FLAG_0x261 $FLAG_0x262 $FLAG_GOT_EEVEE $FLAG_FOUND_BOTH_VERMILION_GYM_SWITCHES $FLAG_CINNABAR_GYM_QUIZ_1 $FLAG_PENDING_DAYCARE_EGG $FLAG_CINNABAR_GYM_QUIZ_2 $FLAG_CINNABAR_GYM_QUIZ_3 $FLAG_CINNABAR_GYM_QUIZ_4 $FLAG_CINNABAR_GYM_QUIZ_5/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_CINNABAR_GYM_QUIZ_6 $FLAG_POKEMON_MANSION_SWITCH_STATE $FLAG_OPENED_ROCKET_HIDEOUT $FLAG_GOT_10_COINS_FROM_GAMBLER $FLAG_GOT_20_COINS_FROM_GAMBLER $FLAG_GOT_20_COINS_FROM_GAMBLER_2 $FLAG_GOT_BICYCLE $FLAG_GOT_DOME_FOSSIL $FLAG_GOT_HELIX_FOSSIL $FLAG_DID_ESPHERE_TRADE $FLAG_DID_TANGENY_TRADE $FLAG_DID_SEELOR_TRADE $FLAG_0x277 $FLAG_GOT_HITMON_FROM_DOJO $FLAG_0x279 $FLAG_SILPH_2F_DOOR_1 $FLAG_SILPH_2F_DOOR_2 $FLAG_SILPH_3F_DOOR_1 $FLAG_SILPH_3F_DOOR_2 $FLAG_SILPH_4F_DOOR_1 $FLAG_SILPH_4F_DOOR_2 $FLAG_SILPH_5F_DOOR_1 $FLAG_SILPH_5F_DOOR_2 $FLAG_SILPH_5F_DOOR_3 $FLAG_SILPH_6F_DOOR $FLAG_SILPH_7F_DOOR_1 $FLAG_SILPH_7F_DOOR_2 $FLAG_SILPH_7F_DOOR_3 $FLAG_SILPH_8F_DOOR $FLAG_SILPH_9F_DOOR_1 $FLAG_SILPH_9F_DOOR_2 $FLAG_SILPH_9F_DOOR_3 $FLAG_SILPH_9F_DOOR_4 $FLAG_SILPH_10F_DOOR $FLAG_SILPH_11F_DOOR $FLAG_0x28E $FLAG_0x28F $FLAG_MET_STICKER_MAN $FLAG_PALLET_LADY_NOT_BLOCKING_SIGN $FLAG_GOT_VS_SEEKER $FLAG_GOT_TM19_FROM_ERIKA $FLAG_GOT_TM33_FROM_THIRSTY_GIRL $FLAG_GOT_TM20_FROM_THIRSTY_GIRL $FLAG_GOT_TM16_FROM_THIRSTY_GIRL $FLAG_GOT_TM03_FROM_MISTY $FLAG_GOT_TM26_FROM_GIOVANNI $FLAG_0x299 $FLAG_GOT_TM04_FROM_SABRINA $FLAG_GOT_FAME_CHECKER $FLAG_GOT_RECORD_SETTING_MAGIKARP $FLAG_TWO_ISLAND_SHOP_INTRODUCED $FLAG_TWO_ISLAND_SHOP_EXPANDED_1 $FLAG_TWO_ISLAND_SHOP_EXPANDED_2 $FLAG_TWO_ISLAND_SHOP_EXPANDED_3 $FLAG_SEVII_DETOUR_FINISHED $FLAG_VISITED_TWO_ISLAND $FLAG_RESCUED_LOSTELLE $FLAG_0x2A4 $FLAG_CAN_USE_ROCKET_HIDEOUT_LIFT $FLAG_GOT_TEA $FLAG_RECEIVED_AURORA_TICKET $FLAG_RECEIVED_MYSTIC_TICKET $FLAG_RECEIVED_OLD_SEA_MAP $FLAG_WONDER_CARD_UNUSED_1 $FLAG_WONDER_CARD_UNUSED_2 $FLAG_WONDER_CARD_UNUSED_3 $FLAG_WONDER_CARD_UNUSED_4 $FLAG_WONDER_CARD_UNUSED_5 $FLAG_WONDER_CARD_UNUSED_6 $FLAG_WONDER_CARD_UNUSED_7 $FLAG_WONDER_CARD_UNUSED_8 $FLAG_WONDER_CARD_UNUSED_9 $FLAG_WONDER_CARD_UNUSED_10 $FLAG_WONDER_CARD_UNUSED_11 $FLAG_WONDER_CARD_UNUSED_12 $FLAG_WONDER_CARD_UNUSED_13 $FLAG_WONDER_CARD_UNUSED_14 $FLAG_WONDER_CARD_UNUSED_15 $FLAG_WONDER_CARD_UNUSED_16 $FLAG_WONDER_CARD_UNUSED_17 $NUM_WONDER_CARD_FLAGS $FLAG_GOT_POWDER_JAR $FLAG_FOUGHT_MEWTWO $FLAG_FOUGHT_MOLTRES $FLAG_FOUGHT_ARTICUNO $FLAG_FOUGHT_ZAPDOS $FLAG_TUTOR_DOUBLE_EDGE $FLAG_TUTOR_THUNDER_WAVE $FLAG_TUTOR_ROCK_SLIDE $FLAG_TUTOR_EXPLOSION $FLAG_TUTOR_MEGA_PUNCH $FLAG_TUTOR_MEGA_KICK $FLAG_TUTOR_DREAM_EATER $FLAG_TUTOR_SOFT_BOILED $FLAG_TUTOR_SUBSTITUTE $FLAG_TUTOR_SWORDS_DANCE $FLAG_TUTOR_SEISMIC_TOSS $FLAG_TUTOR_COUNTER $FLAG_TUTOR_METRONOME $FLAG_TUTOR_MIMIC $FLAG_TUTOR_BODY_SLAM $FLAG_VISITED_OAKS_LAB $FLAG_FOUGHT_POWER_PLANT_ELECTRODE_1 $FLAG_FOUGHT_POWER_PLANT_ELECTRODE_2 $FLAG_STOPPED_SEAFOAM_B3F_CURRENT $FLAG_STOPPED_SEAFOAM_B4F_CURRENT $FLAG_TALKED_TO_LORELEI_AFTER_WAREHOUSE $FLAG_DEFEATED_ROCKETS_IN_WAREHOUSE $FLAG_UNLOCKED_ROCKET_WAREHOUSE $FLAG_NO_ROOM_FOR_TM42_AT_MEMORIAL_PILLAR $FLAG_LEARNED_YES_NAH_CHANSEY $FLAG_GOT_NEST_BALL_FROM_WATER_PATH_HOUSE_1 $FLAG_GOT_TOGEPI_EGG $FLAG_NO_ROOM_FOR_TOGEPI_EGG $FLAG_RECOVERED_SAPPHIRE $FLAG_GOT_RUBY/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_TUTOR_FRENZY_PLANT $FLAG_TUTOR_BLAST_BURN $FLAG_TUTOR_HYDRO_CANNON $FLAG_LEARNED_ALL_MOVES_AT_CAPE_BRINK $FLAG_GOT_NUGGET_FROM_DUNSPARCE_TUNNEL $FLAG_USED_CUT_ON_RUIN_VALLEY_BRAILLE $FLAG_FOUGHT_DEOXYS $FLAG_0x2E5 $FLAG_0x2E6 $FLAG_0x2E7 $FLAG_0x2E8 $FLAG_0x2E9 $FLAG_0x2EA $FLAG_0x2EB $FLAG_REVIVED_DOME $FLAG_REVIVED_HELIX $FLAG_REVIVED_AMBER $FLAG_GOT_HM06 $FLAG_SHOWN_MYSTIC_TICKET $FLAG_SHOWN_AURORA_TICKET $FLAG_FOUGHT_LUGIA $FLAG_FOUGHT_HO_OH $FLAG_OAK_SAW_DEX_COMPLETION $FLAG_LUGIA_FLEW_AWAY $FLAG_HO_OH_FLEW_AWAY $FLAG_DEOXYS_FLEW_AWAY $FLAG_TALKED_TO_TEA_LADY_AFTER_HOF $FLAG_TALKED_TO_OAKS_AIDE_IN_VERMILION $FLAG_GOT_EVERSTONE_FROM_OAKS_AIDE $FLAG_GOT_MOON_STONE_FROM_JOYFUL_GAME_CORNER $FLAG_GOT_FULL_RESTORE_FROM_THREE_ISLAND_DEFENDER $FLAG_GOT_AMULET_COIN_FROM_OAKS_AIDE $FLAG_NO_ROOM_FOR_JOYFUL_GAME_CORNER_MOON_STONE $FLAG_OAKS_RATING_IS_VIA_PC $FLAG_0x300 $FLAG_0x301 $FLAG_0x302 $FLAG_0x303 $FLAG_0x304 $FLAG_0x305 $FLAG_0x306 $FLAG_0x307 $FLAG_0x308 $FLAG_0x309 $FLAG_0x30A $FLAG_0x30B $FLAG_0x30C $FLAG_0x30D $FLAG_0x30E $FLAG_0x30F $FLAG_0x310 $FLAG_0x311 $FLAG_0x312 $FLAG_0x313 $FLAG_0x314 $FLAG_0x315 $FLAG_0x316 $FLAG_0x317 $FLAG_0x318 $FLAG_0x319 $FLAG_0x31A $FLAG_0x31B $FLAG_0x31C $FLAG_0x31D $FLAG_0x31E $FLAG_0x31F $FLAG_0x320 $FLAG_0x321 $FLAG_0x322 $FLAG_0x323 $FLAG_0x324 $FLAG_0x325 $FLAG_0x326 $FLAG_0x327 $FLAG_0x328 $FLAG_0x329 $FLAG_0x32A $FLAG_0x32B $FLAG_0x32C $FLAG_0x32D $FLAG_0x32E $FLAG_0x32F $FLAG_0x330 $FLAG_0x331 $FLAG_0x332 $FLAG_0x333 $FLAG_0x334 $FLAG_0x335 $FLAG_0x336 $FLAG_0x337 $FLAG_0x338 $FLAG_0x339 $FLAG_0x33A $FLAG_0x33B $FLAG_0x33C $FLAG_0x33D $FLAG_0x33E $FLAG_0x33F $FLAG_0x340 $FLAG_0x341 $FLAG_0x342 $FLAG_0x343 $FLAG_0x344 $FLAG_0x345 $FLAG_0x346 $FLAG_0x347 $FLAG_0x348 $FLAG_0x349 $FLAG_0x34A $FLAG_0x34B $FLAG_0x34C $FLAG_0x34D $FLAG_0x34E $FLAG_0x34F $FLAG_0x350 $FLAG_0x351 $FLAG_0x352 $FLAG_0x353 $FLAG_0x354 $FLAG_0x355 $FLAG_0x356 $FLAG_0x357 $FLAG_0x358 $FLAG_0x359 $FLAG_0x35A $FLAG_0x35B $FLAG_0x35C $FLAG_0x35D $FLAG_0x35E $FLAG_0x35F $FLAG_0x360 $FLAG_0x361 $FLAG_0x362 $FLAG_0x363 $FLAG_0x364 $FLAG_0x365 $FLAG_0x366 $FLAG_0x367 $FLAG_0x368 $FLAG_0x369 $FLAG_0x36A $FLAG_0x36B $FLAG_0x36C $FLAG_0x36D $FLAG_0x36E $FLAG_0x36F $FLAG_0x370 $FLAG_0x371 $FLAG_0x372 $FLAG_0x373 $FLAG_0x374 $FLAG_0x375 $FLAG_0x376 $FLAG_0x377 $FLAG_0x378 $FLAG_0x379 $FLAG_0x37A $FLAG_0x37B $FLAG_0x37C $FLAG_0x37D $FLAG_0x37E $FLAG_0x37F $FLAG_0x380 $FLAG_0x381 $FLAG_0x382 $FLAG_0x383 $FLAG_0x384 $FLAG_0x385 $FLAG_0x386 $FLAG_0x387 $FLAG_0x388 $FLAG_0x389 $FLAG_0x38A $FLAG_0x38B $FLAG_0x38C $FLAG_0x38D $FLAG_0x38E $FLAG_0x38F $FLAG_0x390 $FLAG_0x391 $FLAG_0x392 $FLAG_0x393 $FLAG_0x394 $FLAG_0x395 $FLAG_0x396 $FLAG_0x397 $FLAG_0x398 $FLAG_0x399 $FLAG_0x39A $FLAG_0x39B $FLAG_0x39C $FLAG_0x39D $FLAG_0x39E $FLAG_0x39F $FLAG_0x3A0 $FLAG_0x3A1 $FLAG_0x3A2 $FLAG_0x3A3 $FLAG_0x3A4 $FLAG_0x3A5 $FLAG_0x3A6 $FLAG_0x3A7 $FLAG_0x3A8 $FLAG_0x3A9 $FLAG_0x3AA $FLAG_0x3AB $FLAG_0x3AC $FLAG_0x3AD $FLAG_0x3AE/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_0x3AF $FLAG_0x3B0 $FLAG_0x3B1 $FLAG_0x3B2 $FLAG_0x3B3 $FLAG_0x3B4 $FLAG_0x3B5 $FLAG_0x3B6 $FLAG_0x3B7 $FLAG_0x3B8 $FLAG_0x3B9 $FLAG_0x3BA $FLAG_0x3BB $FLAG_0x3BC $FLAG_0x3BD $FLAG_0x3BE $FLAG_0x3BF $FLAG_0x3C0 $FLAG_0x3C1 $FLAG_0x3C2 $FLAG_0x3C3 $FLAG_0x3C4 $FLAG_0x3C5 $FLAG_0x3C6 $FLAG_0x3C7 $FLAG_0x3C8 $FLAG_0x3C9 $FLAG_0x3CA $FLAG_0x3CB $FLAG_0x3CC $FLAG_0x3CD $FLAG_0x3CE $FLAG_0x3CF $FLAG_0x3D0 $FLAG_0x3D1 $FLAG_0x3D2 $FLAG_0x3D3 $FLAG_0x3D4 $FLAG_0x3D5 $FLAG_0x3D6 $FLAG_0x3D7 $FLAG_MYSTERY_GIFT_DONE $FLAG_MYSTERY_GIFT_1 $FLAG_MYSTERY_GIFT_2 $FLAG_MYSTERY_GIFT_3 $FLAG_MYSTERY_GIFT_4 $FLAG_MYSTERY_GIFT_5 $FLAG_MYSTERY_GIFT_6 $FLAG_MYSTERY_GIFT_7 $FLAG_MYSTERY_GIFT_8 $FLAG_MYSTERY_GIFT_9 $FLAG_MYSTERY_GIFT_10 $FLAG_MYSTERY_GIFT_11 $FLAG_MYSTERY_GIFT_12 $FLAG_MYSTERY_GIFT_13 $FLAG_MYSTERY_GIFT_14 $FLAG_MYSTERY_GIFT_15 $FLAG_HIDDEN_ITEMS_START $FLAG_HIDDEN_ITEM_VIRIDIAN_FOREST_POTION $FLAG_HIDDEN_ITEM_VIRIDIAN_FOREST_ANTIDOTE $FLAG_HIDDEN_ITEM_MT_MOON_B2F_MOON_STONE $FLAG_HIDDEN_ITEM_MT_MOON_B2F_ETHER $FLAG_HIDDEN_ITEM_ROUTE25_ELIXIR $FLAG_HIDDEN_ITEM_ROUTE25_ETHER $FLAG_HIDDEN_ITEM_ROUTE9_ETHER $FLAG_HIDDEN_ITEM_UNUSED_0x07 $FLAG_HIDDEN_ITEM_SSANNE_B1F_CORRIDOR_HYPER_POTION $FLAG_HIDDEN_ITEM_ROUTE10_SUPER_POTION $FLAG_HIDDEN_ITEM_ROUTE10_MAX_ETHER $FLAG_HIDDEN_ITEM_ROCKET_HIDEOUT_B1F_PP_UP $FLAG_HIDDEN_ITEM_ROCKET_HIDEOUT_B3F_NUGGET $FLAG_HIDDEN_ITEM_ROCKET_HIDEOUT_B4F_NEST_BALL $FLAG_HIDDEN_ITEM_POKEMON_TOWER_5F_BIG_MUSHROOM $FLAG_HIDDEN_ITEM_ROUTE13_PP_UP $FLAG_HIDDEN_ITEM_UNUSED_0x10 $FLAG_HIDDEN_ITEM_ROUTE17_RARE_CANDY $FLAG_HIDDEN_ITEM_ROUTE17_FULL_RESTORE $FLAG_HIDDEN_ITEM_ROUTE17_PP_UP $FLAG_HIDDEN_ITEM_ROUTE17_MAX_REVIVE $FLAG_HIDDEN_ITEM_ROUTE17_MAX_ELIXIR $FLAG_HIDDEN_ITEM_SAFARI_ZONE_CENTER_LEAF_STONE $FLAG_HIDDEN_ITEM_SAFARI_ZONE_WEST_REVIVE $FLAG_HIDDEN_ITEM_SILPH_CO_5F_ELIXIR $FLAG_HIDDEN_ITEM_SILPH_CO_9F_MAX_POTION $FLAG_HIDDEN_ITEM_SAFFRON_CITY_COPYCATS_HOUSE_2F_NUGGET $FLAG_HIDDEN_ITEM_POWER_PLANT_MAX_ELIXIR $FLAG_HIDDEN_ITEM_POWER_PLANT_THUNDER_STONE $FLAG_HIDDEN_ITEM_SEAFOAM_ISLANDS_B3F_NUGGET $FLAG_HIDDEN_ITEM_SEAFOAM_ISLANDS_B4F_WATER_STONE $FLAG_HIDDEN_ITEM_POKEMON_MANSION_1F_MOON_STONE $FLAG_HIDDEN_ITEM_POKEMON_MANSION_3F_RARE_CANDY $FLAG_HIDDEN_ITEM_POKEMON_MANSION_B1F_ELIXIR $FLAG_HIDDEN_ITEM_ROUTE23_FULL_RESTORE $FLAG_HIDDEN_ITEM_ROUTE23_ULTRA_BALL $FLAG_HIDDEN_ITEM_ROUTE23_MAX_ETHER $FLAG_HIDDEN_ITEM_VICTORY_ROAD_1F_ULTRA_BALL $FLAG_HIDDEN_ITEM_VICTORY_ROAD_1F_FULL_RESTORE $FLAG_HIDDEN_ITEM_CERULEAN_CAVE_1F_ULTRA_BALL $FLAG_HIDDEN_ITEM_UNUSED_0x28 $FLAG_HIDDEN_ITEM_ROUTE11_ESCAPE_ROPE $FLAG_HIDDEN_ITEM_ROUTE12_HYPER_POTION $FLAG_HIDDEN_ITEM_UNUSED_0x2B $FLAG_HIDDEN_ITEM_UNUSED_0x2C $FLAG_HIDDEN_ITEM_UNUSED_0x2D $FLAG_HIDDEN_ITEM_UNUSED_0x2E $FLAG_HIDDEN_ITEM_CELADON_CITY_PP_UP $FLAG_HIDDEN_ITEM_VERMILION_CITY_MAX_ETHER $FLAG_HIDDEN_ITEM_CERULEAN_CITY_RARE_CANDY $FLAG_HIDDEN_ITEM_ROUTE4_GREAT_BALL $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_2 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_3 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_4 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_5 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_6 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_7 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_8 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_9 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_10 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_11 $FLAG_HIDDEN_ITEM_CELADON_CITY_GAME_CORNER_COINS_12 $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_SEVAULT_CANYON_CHERI_BERRY $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TANOBY_RUINS_HEART_SCALE_4 $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TANOBY_RUINS_HEART_SCALE $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TANOBY_RUINS_HEART_SCALE_2 $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TANOBY_RUINS_HEART_SCALE_3 $FLAG_HIDDEN_ITEM_FIVE_ISLAND_ROCKET_WAREHOUSE_NEST_BALL $FLAG_HIDDEN_ITEM_FIVE_ISLAND_ROCKET_WAREHOUSE_NET_BALL $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_POTION $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_ANTIDOTE $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_PARALYZE_HEAL $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_AWAKENING $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_BURN_HEAL $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_ICE_HEAL $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL_ETHER $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_POTION $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_ANTIDOTE $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_PARALYZE_HEAL $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_AWAKENING $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_BURN_HEAL $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_ICE_HEAL $FLAG_HIDDEN_ITEM_UNDERGROUND_PATH_EAST_WEST_TUNNEL_ETHER $FLAG_HIDDEN_ITEM_MT_MOON_B1F_TINY_MUSHROOM $FLAG_HIDDEN_ITEM_MT_MOON_B1F_TINY_MUSHROOM_2 $FLAG_HIDDEN_ITEM_MT_MOON_B1F_TINY_MUSHROOM_3 $FLAG_HIDDEN_ITEM_MT_MOON_B1F_BIG_MUSHROOM $FLAG_HIDDEN_ITEM_MT_MOON_B1F_BIG_MUSHROOM_2 $FLAG_HIDDEN_ITEM_MT_MOON_B1F_BIG_MUSHROOM_3 $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_RAZZ_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_BLUK_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_NANAB_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_WEPEAR_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_ORAN_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_CHERI_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_CHESTO_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_PECHA_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_RAWST_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_ASPEAR_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_PERSIM_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_PINAP_BERRY $FLAG_HIDDEN_ITEM_THREE_ISLAND_BERRY_FOREST_LUM_BERRY $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_STARDUST $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_STARDUST_2/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_PEARL $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_PEARL_2 $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_ULTRA_BALL $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_ULTRA_BALL_2 $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_STAR_PIECE $FLAG_HIDDEN_ITEM_ONE_ISLAND_TREASURE_BEACH_BIG_PEARL $FLAG_HIDDEN_ITEM_TWO_ISLAND_CAPE_BRINK_RARE_CANDY $FLAG_HIDDEN_ITEM_PEWTER_CITY_POKE_BALL $FLAG_HIDDEN_ITEM_ROUTE3_ORAN_BERRY $FLAG_HIDDEN_ITEM_ROUTE4_PERSIM_BERRY $FLAG_HIDDEN_ITEM_ROUTE24_PECHA_BERRY $FLAG_HIDDEN_ITEM_ROUTE25_ORAN_BERRY $FLAG_HIDDEN_ITEM_ROUTE25_BLUK_BERRY $FLAG_HIDDEN_ITEM_ROUTE6_SITRUS_BERRY $FLAG_HIDDEN_ITEM_ROUTE6_RARE_CANDY $FLAG_HIDDEN_ITEM_SSANNE_KITCHEN_PECHA_BERRY $FLAG_HIDDEN_ITEM_SSANNE_KITCHEN_CHERI_BERRY $FLAG_HIDDEN_ITEM_SSANNE_KITCHEN_CHESTO_BERRY $FLAG_HIDDEN_ITEM_ROUTE9_RARE_CANDY $FLAG_HIDDEN_ITEM_UNUSED_0x7C $FLAG_HIDDEN_ITEM_ROUTE10_PERSIM_BERRY $FLAG_HIDDEN_ITEM_ROUTE10_CHERI_BERRY $FLAG_HIDDEN_ITEM_ROUTE8_RAWST_BERRY $FLAG_HIDDEN_ITEM_ROUTE8_LUM_BERRY $FLAG_HIDDEN_ITEM_ROUTE8_LEPPA_BERRY $FLAG_HIDDEN_ITEM_ROUTE12_RARE_CANDY $FLAG_HIDDEN_ITEM_ROUTE12_LEFTOVERS $FLAG_HIDDEN_ITEM_ROUTE16_LEFTOVERS $FLAG_HIDDEN_ITEM_FUCHSIA_CITY_MAX_REVIVE $FLAG_HIDDEN_ITEM_ROCKET_HIDEOUT_B4F_NET_BALL $FLAG_HIDDEN_ITEM_SILPH_CO_2F_ULTRA_BALL $FLAG_HIDDEN_ITEM_SILPH_CO_3F_PROTEIN $FLAG_HIDDEN_ITEM_SILPH_CO_4F_IRON $FLAG_HIDDEN_ITEM_SILPH_CO_5F_PP_UP $FLAG_HIDDEN_ITEM_SILPH_CO_6F_CARBOS $FLAG_HIDDEN_ITEM_SILPH_CO_7F_ZINC $FLAG_HIDDEN_ITEM_SILPH_CO_8F_NUGGET $FLAG_HIDDEN_ITEM_SILPH_CO_9F_CALCIUM $FLAG_HIDDEN_ITEM_SILPH_CO_10F_HP_UP $FLAG_HIDDEN_ITEM_SILPH_CO_11F_REVIVE $FLAG_HIDDEN_ITEM_ROUTE23_LUM_BERRY $FLAG_HIDDEN_ITEM_ROUTE23_SITRUS_BERRY $FLAG_HIDDEN_ITEM_ROUTE23_ASPEAR_BERRY $FLAG_HIDDEN_ITEM_ROUTE23_LEPPA_BERRY $FLAG_HIDDEN_ITEM_ROUTE14_ZINC $FLAG_HIDDEN_ITEM_ROUTE9_CHESTO_BERRY $FLAG_HIDDEN_ITEM_ROUTE10_NANAB_BERRY $FLAG_HIDDEN_ITEM_ROUTE7_WEPEAR_BERRY $FLAG_HIDDEN_ITEM_ROUTE20_STARDUST $FLAG_HIDDEN_ITEM_ROUTE21_NORTH_PEARL $FLAG_HIDDEN_ITEM_ROUTE23_MAX_ELIXIR $FLAG_HIDDEN_ITEM_ROUTE4_RAZZ_BERRY $FLAG_HIDDEN_ITEM_ROUTE14_PINAP_BERRY $FLAG_HIDDEN_ITEM_MT_EMBER_EXTERIOR_FIRE_STONE $FLAG_HIDDEN_ITEM_POKEMON_TOWER_7F_SOOTHE_BELL $FLAG_HIDDEN_ITEM_NAVEL_ROCK_SUMMIT_SACRED_ASH $FLAG_HIDDEN_ITEM_TWO_ISLAND_CAPE_BRINK_PP_MAX $FLAG_HIDDEN_ITEM_MT_EMBER_EXTERIOR_ULTRA_BALL $FLAG_HIDDEN_ITEM_THREE_ISLAND_DUNSPARCE_TUNNEL_NUGGET $FLAG_HIDDEN_ITEM_THREE_ISLAND_PP_UP $FLAG_HIDDEN_ITEM_THREE_ISLAND_BOND_BRIDGE_MAX_REPEL $FLAG_HIDDEN_ITEM_THREE_ISLAND_BOND_BRIDGE_PEARL $FLAG_HIDDEN_ITEM_THREE_ISLAND_BOND_BRIDGE_STARDUST $FLAG_HIDDEN_ITEM_FOUR_ISLAND_PEARL $FLAG_HIDDEN_ITEM_FOUR_ISLAND_ULTRA_BALL $FLAG_HIDDEN_ITEM_FIVE_ISLAND_MEMORIAL_PILLAR_BIG_PEARL $FLAG_HIDDEN_ITEM_FIVE_ISLAND_MEMORIAL_PILLAR_RAZZ_BERRY $FLAG_HIDDEN_ITEM_FIVE_ISLAND_MEMORIAL_PILLAR_SITRUS_BERRY $FLAG_HIDDEN_ITEM_FIVE_ISLAND_RESORT_GORGEOUS_NEST_BALL $FLAG_HIDDEN_ITEM_FIVE_ISLAND_RESORT_GORGEOUS_STARDUST/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_HIDDEN_ITEM_FIVE_ISLAND_RESORT_GORGEOUS_STAR_PIECE $FLAG_HIDDEN_ITEM_FIVE_ISLAND_RESORT_GORGEOUS_STARDUST_2 $FLAG_HIDDEN_ITEM_SIX_ISLAND_OUTCAST_ISLAND_STAR_PIECE $FLAG_HIDDEN_ITEM_SIX_ISLAND_OUTCAST_ISLAND_NET_BALL $FLAG_HIDDEN_ITEM_SIX_ISLAND_GREEN_PATH_ULTRA_BALL $FLAG_HIDDEN_ITEM_SIX_ISLAND_WATER_PATH_ASPEAR_BERRY $FLAG_HIDDEN_ITEM_SIX_ISLAND_WATER_PATH_ORAN_BERRY $FLAG_HIDDEN_ITEM_SIX_ISLAND_WATER_PATH_PINAP_BERRY $FLAG_HIDDEN_ITEM_SIX_ISLAND_LEPPA_BERRY $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TRAINER_TOWER_BIG_PEARL $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TRAINER_TOWER_PEARL $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_TRAINER_TOWER_NANAB_BERRY $FLAG_HIDDEN_ITEM_SEVEN_ISLAND_SEVAULT_CANYON_ENTRANCE_RAWST_BERRY $FLAG_HIDDEN_ITEM_VIRIDIAN_CITY_GYM_MACHO_BRACE $FLAG_HIDDEN_ITEM_SSANNE_EXTERIOR_LAVA_COOKIE $FLAG_UNUSED_0x4A7 $FLAG_UNUSED_0x4A8 $FLAG_UNUSED_0x4A9 $FLAG_UNUSED_0x4AA $FLAG_UNUSED_0x4AB $FLAG_UNUSED_0x4AC $FLAG_UNUSED_0x4AD $FLAG_UNUSED_0x4AE $FLAG_UNUSED_0x4AF $FLAG_DEFEATED_BROCK $FLAG_DEFEATED_MISTY $FLAG_DEFEATED_LT_SURGE $FLAG_DEFEATED_ERIKA $FLAG_DEFEATED_KOGA $FLAG_DEFEATED_SABRINA $FLAG_DEFEATED_BLAINE $FLAG_DEFEATED_LEADER_GIOVANNI $FLAG_DEFEATED_LORELEI $FLAG_DEFEATED_BRUNO $FLAG_DEFEATED_AGATHA $FLAG_DEFEATED_LANCE $FLAG_DEFEATED_CHAMP $FLAG_0x4BD $FLAG_0x4BE $FLAG_0x4BF $FLAG_0x4C0 $FLAG_0x4C1 $FLAG_0x4C2 $FLAG_0x4C3 $FLAG_0x4C4 $FLAG_0x4C5 $FLAG_0x4C6 $FLAG_0x4C7 $FLAG_0x4C8 $FLAG_0x4C9 $FLAG_0x4CA $FLAG_0x4CB $FLAG_0x4CC $FLAG_0x4CD $FLAG_0x4CE $FLAG_0x4CF $FLAG_0x4D0 $FLAG_0x4D1 $FLAG_0x4D2 $FLAG_0x4D3 $FLAG_0x4D4 $FLAG_0x4D5 $FLAG_0x4D6 $FLAG_0x4D7 $FLAG_0x4D8 $FLAG_0x4D9 $FLAG_0x4DA $FLAG_0x4DB $FLAG_0x4DC $FLAG_0x4DD $FLAG_0x4DE $FLAG_0x4DF $FLAG_0x4E0 $FLAG_0x4E1 $FLAG_0x4E2 $FLAG_0x4E3 $FLAG_0x4E4 $FLAG_0x4E5 $FLAG_0x4E6 $FLAG_0x4E7 $FLAG_0x4E8 $FLAG_0x4E9 $FLAG_0x4EA $FLAG_0x4EB $FLAG_0x4EC $FLAG_0x4ED $FLAG_0x4EE $FLAG_0x4EF $FLAG_0x4F0 $FLAG_0x4F1 $FLAG_0x4F2 $FLAG_0x4F3 $FLAG_0x4F4 $FLAG_0x4F5 $FLAG_0x4F6 $FLAG_0x4F7 $FLAG_0x4F8 $FLAG_0x4F9 $FLAG_0x4FA $FLAG_0x4FB $FLAG_0x4FC $FLAG_0x4FD $FLAG_0x4FE $FLAG_0x4FF $TRAINER_FLAGS_START $TRAINER_FLAGS_END $SYS_FLAGS $FLAG_SYS_SAFARI_MODE $FLAG_SYS_VS_SEEKER_CHARGING $FLAG_SYS_CRUISE_MODE $FLAG_SYS_WHITE_FLUTE_ACTIVE $FLAG_SYS_BLACK_FLUTE_ACTIVE $FLAG_SYS_USE_STRENGTH $FLAG_SYS_FLASH_ACTIVE $FLAG_SYS_SPECIAL_WILD_BATTLE $FLAG_SYS_QL_DEPARTED $FLAG_0x809 $FLAG_0x80A $FLAG_0x80B $FLAG_0x80C $FLAG_0x80D $FLAG_0x80E $FLAG_0x80F $FLAG_0x810 $FLAG_0x811 $FLAG_0x812 $FLAG_0x813 $FLAG_0x814 $FLAG_0x815 $FLAG_0x816 $FLAG_0x817 $FLAG_0x818 $FLAG_0x819 $FLAG_0x81A $FLAG_0x81B $FLAG_0x81C $FLAG_0x81D $FLAG_0x81E $FLAG_0x81F $PERMA_SYS_FLAGS_START $FLAG_BADGE01_GET $FLAG_BADGE02_GET $FLAG_BADGE03_GET $FLAG_BADGE04_GET $FLAG_BADGE05_GET $FLAG_BADGE06_GET $FLAG_BADGE07_GET $FLAG_BADGE08_GET $NUM_BADGES $FLAG_SYS_POKEMON_GET $FLAG_SYS_POKEDEX_GET $FLAG_0x82A $FLAG_0x82B $FLAG_SYS_GAME_CLEAR $FLAG_SYS_SET_TRAINER_CARD_PROFILE $FLAG_0x82E $FLAG_SYS_B_DASH/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_SYS_ON_CYCLING_ROAD $FLAG_0x831 $FLAG_0x832 $FLAG_0x833 $FLAG_SYS_NOT_SOMEONES_PC $FLAG_0x835 $FLAG_0x836 $FLAG_SYS_RESET_RTC_ENABLE $FLAG_0x838 $FLAG_SYS_MYSTERY_GIFT_ENABLED $FLAG_0x83A $FLAG_SYS_RIBBON_GET $FLAG_SYS_SAW_HELP_SYSTEM_INTRO $FLAG_0x83D $FLAG_OPENED_START_MENU $FLAG_0x83F $FLAG_SYS_NATIONAL_DEX $FLAG_SYS_PC_STORAGE_DISABLED $FLAG_SYS_INFORMED_OF_LOCAL_WIRELESS_PLAYER $FLAG_SHOWN_BOX_WAS_FULL_MESSAGE $FLAG_SYS_CAN_LINK_WITH_RS $FLAG_SYS_SEVII_MAP_123 $FLAG_SYS_SEVII_MAP_4567 $FLAG_SYS_GOT_BERRY_POUCH $FLAG_SYS_DEOXYS_AWAKENED $FLAG_SYS_UNLOCKED_TANOBY_RUINS $FLAG_ENABLE_SHIP_NAVEL_ROCK $FLAG_ENABLE_SHIP_BIRTH_ISLAND $FLAG_WORLD_MAP_PALLET_TOWN $FLAG_WORLD_MAP_VIRIDIAN_CITY $FLAG_WORLD_MAP_PEWTER_CITY $FLAG_WORLD_MAP_CERULEAN_CITY $FLAG_WORLD_MAP_LAVENDER_TOWN $FLAG_WORLD_MAP_VERMILION_CITY $FLAG_WORLD_MAP_CELADON_CITY $FLAG_WORLD_MAP_FUCHSIA_CITY $FLAG_WORLD_MAP_CINNABAR_ISLAND $FLAG_WORLD_MAP_INDIGO_PLATEAU_EXTERIOR $FLAG_WORLD_MAP_SAFFRON_CITY $FLAG_WORLD_MAP_ONE_ISLAND $FLAG_WORLD_MAP_TWO_ISLAND $FLAG_WORLD_MAP_THREE_ISLAND $FLAG_WORLD_MAP_FOUR_ISLAND $FLAG_WORLD_MAP_FIVE_ISLAND $FLAG_WORLD_MAP_SEVEN_ISLAND $FLAG_WORLD_MAP_SIX_ISLAND $FLAG_WORLD_MAP_ROUTE4_POKEMON_CENTER_1F $FLAG_WORLD_MAP_ROUTE10_POKEMON_CENTER_1F $FLAG_WORLD_MAP_VIRIDIAN_FOREST $FLAG_WORLD_MAP_MT_MOON_1F $FLAG_WORLD_MAP_SSANNE_EXTERIOR $FLAG_WORLD_MAP_UNDERGROUND_PATH_NORTH_SOUTH_TUNNEL $FLAG_WORLD_MAP_UNDERGROUND_PATH_EAST_WEST_TUNNEL $FLAG_WORLD_MAP_DIGLETTS_CAVE_B1F $FLAG_WORLD_MAP_VICTORY_ROAD_1F $FLAG_WORLD_MAP_ROCKET_HIDEOUT_B1F $FLAG_WORLD_MAP_SILPH_CO_1F $FLAG_WORLD_MAP_POKEMON_MANSION_1F $FLAG_WORLD_MAP_SAFARI_ZONE_CENTER $FLAG_WORLD_MAP_POKEMON_LEAGUE_LORELEIS_ROOM $FLAG_WORLD_MAP_ROCK_TUNNEL_1F $FLAG_WORLD_MAP_SEAFOAM_ISLANDS_1F $FLAG_WORLD_MAP_POKEMON_TOWER_1F $FLAG_WORLD_MAP_CERULEAN_CAVE_1F $FLAG_WORLD_MAP_POWER_PLANT $FLAG_WORLD_MAP_NAVEL_ROCK_EXTERIOR $FLAG_WORLD_MAP_MT_EMBER_EXTERIOR $FLAG_WORLD_MAP_THREE_ISLAND_BERRY_FOREST $FLAG_WORLD_MAP_FOUR_ISLAND_ICEFALL_CAVE_ENTRANCE $FLAG_WORLD_MAP_FIVE_ISLAND_ROCKET_WAREHOUSE $FLAG_WORLD_MAP_TRAINER_TOWER_LOBBY $FLAG_WORLD_MAP_SIX_ISLAND_DOTTED_HOLE_1F $FLAG_WORLD_MAP_FIVE_ISLAND_LOST_CAVE_ENTRANCE $FLAG_WORLD_MAP_SIX_ISLAND_PATTERN_BUSH $FLAG_WORLD_MAP_SIX_ISLAND_ALTERING_CAVE $FLAG_WORLD_MAP_SEVEN_ISLAND_TANOBY_RUINS_MONEAN_CHAMBER $FLAG_WORLD_MAP_THREE_ISLAND_DUNSPARCE_TUNNEL $FLAG_WORLD_MAP_SEVEN_ISLAND_SEVAULT_CANYON_TANOBY_KEY $FLAG_WORLD_MAP_BIRTH_ISLAND_EXTERIOR $FLAG_0x8C3 $FLAG_0x8C4 $FLAG_0x8C5 $FLAG_0x8C6 $FLAG_0x8C7 $FLAG_0x8C8 $FLAG_0x8C9 $FLAG_0x8CA $FLAG_0x8CB $FLAG_0x8CC $FLAG_0x8CD $FLAG_0x8CE $FLAG_0x8CF $FLAG_0x8D0 $FLAG_0x8D1 $FLAG_0x8D2 $FLAG_0x8D3 $FLAG_0x8D4 $FLAG_0x8D5 $FLAG_0x8D6 $FLAG_0x8D7 $FLAG_0x8D8 $FLAG_0x8D9 $FLAG_0x8DA $FLAG_0x8DB $FLAG_0x8DC $FLAG_0x8DD $FLAG_0x8DE $FLAG_0x8DF $FLAG_0x8E0 $FLAG_0x8E1 $FLAG_0x8E2 $FLAG_0x8E3 $FLAG_0x8E4 $FLAG_0x8E5 $FLAG_0x8E6 $FLAG_0x8E7 $FLAG_0x8E8 $FLAG_0x8E9 $FLAG_0x8EA $FLAG_0x8EB $FLAG_0x8EC/);
@EXPORT_OK = (@EXPORT_OK, qw/$FLAG_0x8ED $FLAG_0x8EE $FLAG_0x8EF $FLAG_0x8F0 $FLAG_0x8F1 $FLAG_0x8F2 $FLAG_0x8F3 $FLAG_0x8F4 $FLAG_0x8F5 $FLAG_0x8F6 $FLAG_0x8F7 $FLAG_0x8F8 $FLAG_0x8F9 $FLAG_0x8FA $FLAG_0x8FB $FLAG_0x8FC $FLAG_0x8FD $FLAG_0x8FE $FLAG_0x8FF $FLAGS_COUNT $SPECIAL_FLAGS_START $FLAG_DONT_SHOW_MAP_NAME_POPUP $FLAG_DONT_TRANSITION_MUSIC $SPECIAL_FLAGS_END/);
1;
